<?php
/**
* TError.php 
*
* 	Es la clase que contiene los errores.
*
* @author José Luis Alfaro <joseluis@ceiboo.com>
* @link http://www.ceiboo.com/
* @copyright Copyright &copy; 2007-2018 ceiboo.com
* @version  10.0 
* @package TError
*/

Class TError
{ 
    static private $TControl=NULL;
    static private $aError=array();

    public function __construct(TControl $TControl)
    {
        self::$TControl = $TControl;
    }
    
    public function start() 
    {
        self::$aError["noaction"]=array("GEN001" => "La llamada no contiene una acción");
        
        self::$aError["incompatibleUserPass"]=array("CON002" => "El appId o la password no tienen la longitud correcta.");
        self::$aError["incorrectUserPass"]=array("CON002" => "El appId o la password son incorrectos.");
        self::$aError["incorrectSite"]=array("CON003" => "El siteId o la ip/dominio desde donde llamas son incorrectos.");
        self::$aError["sessionExpire"]=array("CON004" => "La Session expiró.");
        self::$aError["incorrectToken"]=array("CON005" => "El Token es incorrecto.");
        self::$aError["closeToken"]=array("CON099" => "Session cerrada.");
        
        self::$aError["incorrectMethod"]=array("API001" => "La clase o el Metodo no existen.");
    }

    public function show($sErrorKey) 
    {
        echo self::$TControl->TResponse->show(self::$aError[$sErrorKey]);
    }

} 
?>
