<?php
/**
* TInfo.php 
*
* 	Es la clase que lee y graba el archivo Info de traducciones e iconos
*
* @author José Luis Alfaro <joseluis@ceiboo.com>
* @link http://www.ceiboo.com/
* @copyright Copyright &copy; 2007-2018 ceiboo.com
* @version  10.0 
* @package TInfo
*/

Class TInfo
{ 
   static private $TControl=NULL;
   static private $aDatos=NULL;
   static private $aItems=NULL;

   public function __construct(TControl $TControl)
   {
      self::$TControl = $TControl;
   }

   public function startInfo()
   {
      $aDatos=self::$TControl->TJson->readContent(_TB_PATHMIDDLEWARE.'includes/info.json');
      self::$aDatos=$aDatos["response"];
      self::$aItems=self::$aDatos["items"];
   }    

   public function get($id,$lang="es")
   {
      if(isset(self::$aDatos[$id])) 
      {
         $aDatos=[];
         
         $aDatos["icon"]=isset(self::$aDatos[$id]["icon"])?self::$aDatos[$id]["icon"]:"pan_tool";
         foreach(self::$aItems as $item)
         {
            $aDatos[$item]=isset(self::$aDatos[$id][$lang][$item])?self::$aDatos[$id][$lang][$item]:(isset(self::$aDatos[$id][$lang]["translate"])?self::$aDatos[$id][$lang]["translate"]:$id);
         }
      } else {
         $aDatos=[];
         $aDatos["icon"]="pan_tool";
         foreach(self::$aItems as $item)
         {
            $aDatos[$item]=$id;
         }
      }
      return $aDatos;
      
   }

} 
?>
