<?php
/**
* TRequest.php 
*/

class TRequest
	{
		static private $TControl=NULL;
		
		public function __construct(TControl $TControl)	{
			self::$TControl = $TControl;
		}

			
		/**
		* Este metodo es el encargado de  devolver los datos solicitados si todo salio correctamente.
		* @param none;
		*	<code>
		*		self::$TControl->TRequest->getArray($url);
		* </code>
		*/			
		public function getArrayData($url,$aFields=false)
		{ 
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2049.0 Safari/537.36');
			curl_setopt($ch, CURLOPT_BINARYTRANSFER, true);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);
			curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
			curl_setopt($ch, CURLOPT_CAINFO, dirname(__FILE__)."/cacert.pem");
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
			curl_setopt($ch, CURLOPT_CONNECTTIMEOUT ,0); 
			curl_setopt($ch, CURLOPT_TIMEOUT, 60);
			//curl_setopt($ch, CURLOPT_COOKIEFILE, dirname(__FILE__).'/cookies.txt');
			//curl_setopt($ch, CURLOPT_COOKIEJAR, dirname(__FILE__).'/cookies.txt');
			if($aFields!==false) 
			{
				curl_setopt($ch, CURLOPT_POST, 1);
				curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($aFields));
			}
			$header[] = "Accept:text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8"; 
			$header[] = "Cache-Control: max-age=0"; 
			$header[] = "Connection: keep-alive"; 
			$header[] = "Keep-Alive:timeout=5, max=100"; 
			$header[] = "Accept-Charset:ISO-8859-1,utf-8;q=0.7,*;q=0.3"; 
			$header[] = "Accept-Language:es-ES,es;q=0.8"; 
			$header[] = "Pragma: "; 
			curl_setopt($ch, CURLOPT_HTTPHEADER, $header); 

			$data_json = curl_exec($ch);
			if($data_json === false)
			{
				echo "Curl error: ".curl_error($ch);
				echo '<br>en url: ' . $url;
				exit(0);
			}
			curl_close($ch);
			
			if(strlen($data_json)>0)
			{
				$data_out = json_decode($data_json,true);
			 
				if(is_array($data_out))
				{
					return $data_out;
				} else {
					return false;
				}
			}
		}
		
		public function getArrayXML($url,$aFields=false)
		{ 

			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2049.0 Safari/537.36');
			curl_setopt($ch, CURLOPT_BINARYTRANSFER, true);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);
			curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
			curl_setopt($ch, CURLOPT_CAINFO, dirname(__FILE__)."/cacert.pem");
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
			curl_setopt($ch, CURLOPT_CONNECTTIMEOUT ,0); 
			curl_setopt($ch, CURLOPT_TIMEOUT, 60);
			//curl_setopt($ch, CURLOPT_COOKIEFILE, dirname(__FILE__).'/cookies.txt');
			//curl_setopt($ch, CURLOPT_COOKIEJAR, dirname(__FILE__).'/cookies.txt');
			if($aFields!==false) 
			{
				curl_setopt($ch, CURLOPT_POST, 1);
				curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($aFields));
			}
			$header[] = "Accept:text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8"; 
			$header[] = "Cache-Control: max-age=0"; 
			$header[] = "Connection: keep-alive"; 
			$header[] = "Keep-Alive:timeout=5, max=100"; 
			$header[] = "Accept-Charset:ISO-8859-1,utf-8;q=0.7,*;q=0.3"; 
			$header[] = "Accept-Language:es-ES,es;q=0.8"; 
			$header[] = "Pragma: "; 
			curl_setopt($ch, CURLOPT_HTTPHEADER, $header); 

			$feed = curl_exec($ch);
			
			if(curl_exec($ch) === false)
			{
				echo 'Curl error: ' . curl_error($ch);
				echo '<br>en url: ' . $url;
				exit(0);
			}
		 
			curl_close($ch);
			

			$mypix = new SimpleXMLElement($feed);

			//$mypix = simplexml_load_file($url);
			if(!$item) {
				return $this->xml2array($mypix);
			} else {
				return $this->xml2array($mypix->$item);
			}
			
		}

		public function xml2array ( $xmlObject, $out = array() )
		{
		    foreach ( (array) $xmlObject as $index => $node )
		        $out[$index] = ( is_object ( $node ) ) ? $this->xml2array ( $node ) : $node;

		    return $out;
		}

		public function getHTML($url)
		{
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2049.0 Safari/537.36');
			curl_setopt($ch, CURLOPT_BINARYTRANSFER, true);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);
			curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
			curl_setopt($ch, CURLOPT_CAINFO, dirname(__FILE__)."/cacert.pem");
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
			curl_setopt($ch, CURLOPT_CONNECTTIMEOUT ,0); 
			curl_setopt($ch, CURLOPT_TIMEOUT, 60);
			
			$header[] = "Accept:text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8"; 
			$header[] = "Cache-Control: max-age=0"; 
			$header[] = "Connection: keep-alive"; 
			$header[] = "Keep-Alive:timeout=5, max=100"; 
			$header[] = "Accept-Charset:ISO-8859-1,utf-8;q=0.7,*;q=0.3"; 
			$header[] = "Accept-Language:es-ES,es;q=0.8"; 
			$header[] = "Pragma: "; 

			 curl_setopt($ch, CURLOPT_HTTPHEADER, $header); 



			$feed = curl_exec($ch);
			
			if($feed === false)
			{
				echo "Curl error: ".curl_error($ch);
				echo '<br>en url: ' . $url;
				exit(0);
			}

			$dom = new DOMDocument();
			libxml_use_internal_errors(true);
			$dom->loadHTML($feed);
			libxml_clear_errors();
			$xpath = new DOMXpath($dom);
			return $xpath;

		}
		

	}	
?>
