<?php function formplaces($TControl, $bigData=false, $formTop, $formBottom){ ?>
<?php $rData=$bigData["record"];  ?>

<?=$formTop?>
   <?php if(isset($rData['idplace'])) { ?>
      <input id="idplace" name="idplace" type="hidden" value="<?=$rData['idplace']?>">
   <?php } ?>
    <div class="row">
        <div class="col-md-6">
                <input id="name" name="name" type="text" value="<?=$rData['name']?>" class="validate">
                <label for="name">Nombre del Lugar</label>
        </div>
        <div class="col-md-6">
                <input id="street" name="street" type="text" value="<?=$rData['street']?>" class="validate">
                <label for="street">Domicilio</label>
        </div>
    </div>    
    <div class="row">
        <div class="col-md-8">
            <input id="city" name="city" type="text" value="<?=$rData['city']?>" class="validate">
            <label for="city">Ciudad/Paraje</label>
        </div>
        <div class="col-md-4">
            <input id="zip" name="zip" type="text" value="<?=$rData['zip']?>" class="validate">
            <label for="zip">Codigo Postal</label>
        </div>      
    </div>    
    <div class="row">
        <div class="col-md-12">
            <div id="map" style="width:100%; height:400px;"></div>
        </div>
    </div>    
    <div class="row">
        <div class="col-md-6">
            <input id="latitud" name="latitud" type="text" value="<?=$rData['latitud']?>" class="validate">
            <label for="latitud">Latitud</label>
        </div>
        <div class="col-md-6">
            <input id="longitud" name="longitud" type="text" value="<?=$rData['longitud']?>" class="validate">
            <label for="longitud">Longitud</label>
        </div>
    </div>    
   
   <div class="divider"></div>
<?=$formBottom?>
<link rel="stylesheet" href="https://unpkg.com/leaflet@1.6.0/dist/leaflet.css"
   integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ=="
   crossorigin=""/>
   <script src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js"
   integrity="sha512-gZwIG9x3wUXg2hdXF6+rVkLF/0Vi9U8D2Ntg4Ga5I5BZpVkVxlJWbSQtXPSiUTtC0TjtGOmxa1AJPuV0CPthew=="
   crossorigin=""></script>
<script type="text/javascript">
      var errors=0;

      var tileLayer = new L.TileLayer('http://{s}.basemaps.cartocdn.com/light_all/{z}/{x}/{y}.png',{
  attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors, &copy; <a href="http://cartodb.com/attributions">CartoDB</a>'
});

      <?php if(isset($rData['latitud'])) { ?>
            var latinit=<?=$rData['latitud']?>; 
      <?php } else  { ?>
            var latinit=<?=_TB_LATITUD?>;
      <?php } ?>
      <?php if(isset($rData['longitud'])) { ?>
            var loninit=<?=$rData['longitud']?>; 
      <?php } else  { ?>
            var loninit=<?=_TB_LONGITUD?>;
      <?php } ?>

      var map = new L.Map('map', {
      'center': [latinit, loninit],
      'zoom': 15,
      'layers': [tileLayer]
      });


      var marker = L.marker([latinit, loninit],{
      draggable: true
      }).addTo(map);

      marker.on('dragend', function (e) {
            setll(marker.getLatLng().lat,marker.getLatLng().lng);
      });     


      map.on('dblclick', movell);
      map.on('click', movell);

      function setll(lat,lon){
            document.getElementById('latitud').focus();
            document.getElementById('latitud').value = lat;
            document.getElementById('longitud').focus();
            document.getElementById('longitud').value = lon;
      }
      function movell(e){
            lat = e.latlng.lat;
            lon = e.latlng.lng;

        if (marker != undefined) {
              map.removeLayer(marker);
        };

            //Add a marker to show where you clicked.
            marker = L.marker([lat,lon]).addTo(map);  
            setll(lat,lon);
      }
</script>

<?php } ?>        
