<?php
Class TControllerSite
{
	static private $TControl=NULL;
	
	public function __construct(TControl $TControl)
	{
		self::$TControl = $TControl;
	}
	
	static public function startController($aParam=false)
	{
        $bigData=[];
        $bigData["pages"]=self::$TControl->TWebpages->getActives();
        $bigData["events"]=self::$TControl->TEvents->getLasts();
        $bigData["backgrounds"]=self::$TControl->TWebbackgrounds->get();
        $bigData["message"]=self::$TControl->TWebmessages->getLastMessage();
        $bigData["news"]=self::$TControl->TPosts->getLasts(8);
        $bigData["chiefs"]=self::$TControl->TUsers->getChiefs();
        $bigData["phones"]=self::$TControl->TUsers->getPhones();
        self::$TControl->TView->openView("head");
        self::$TControl->TView->Execute("head");
        self::$TControl->TView->openView("top");
        self::$TControl->TView->Execute("top",$bigData["pages"]);
        self::$TControl->TView->openView("slider");
        self::$TControl->TView->Execute("slider",$bigData["backgrounds"]);

        self::$TControl->TView->openView("contentopen");
        self::$TControl->TView->openView("message");
        self::$TControl->TView->Execute("message",$bigData["message"]);
        self::$TControl->TView->openView("newshome");
        self::$TControl->TView->Execute("newshome",$bigData["news"]);
        self::$TControl->TView->openView("chiefshome");
        self::$TControl->TView->Execute("chiefshome",$bigData["chiefs"],$bigData["phones"]);
        self::$TControl->TView->openView("eventshome");
        self::$TControl->TView->Execute("eventshome",$bigData["events"]);
        self::$TControl->TView->openView("suscribehome");
        self::$TControl->TView->openView("contentclose");

        self::$TControl->TView->openView("bottom");
        self::$TControl->TView->Execute("bottom",$bigData["chiefs"],$bigData["phones"]);
        self::$TControl->TView->openView("footer");
        self::$TControl->TView->Execute("footer");
    }

    static public function hcd($aParam=false)
	{
        self::page($aParam,"HCD");
    }
    
    static public function ciudad($aParam=false)
	{
        self::page($aParam,"Ciudad");
    }

    static public function tramites($aParam=false)
	{
        self::page($aParam,"Ciudad");
    }

    static public function municipio($aParam=false)
	{
        self::page($aParam,"Ciudad");
    }

    static public function noticia($aParam=false)
	{
        self::page($aParam,"Noticia");
    }

    static public function noticias($aParam=false)
	{
        $bigData=[];
        $bigData["pages"]=self::$TControl->TWebpages->getActives();
        $bigData["events"]=self::$TControl->TEvents->getLasts();
        $bigData["backgrounds"]=self::$TControl->TWebbackgrounds->get();
        $bigData["message"]=self::$TControl->TWebmessages->getLastMessage();
        $bigData["news"]=self::$TControl->TPosts->getLasts(12);
        $bigData["chiefs"]=self::$TControl->TUsers->getChiefs();
        $bigData["phones"]=self::$TControl->TUsers->getPhones();
        $bigData["item"]="Noticias";

        self::$TControl->TView->openView("head");
        self::$TControl->TView->Execute("head");
        self::$TControl->TView->openView("top");
        self::$TControl->TView->Execute("top",$bigData["pages"]);
        self::$TControl->TView->openView("subheader");
        self::$TControl->TView->Execute("subheader",$bigData);

        self::$TControl->TView->openView("contentopen");
        self::$TControl->TView->openView("newshome");
        self::$TControl->TView->Execute("newshome",$bigData["news"]);
        self::$TControl->TView->openView("eventshome");
        self::$TControl->TView->Execute("eventshome",$bigData["events"]);
        self::$TControl->TView->openView("suscribehome");
        self::$TControl->TView->openView("contentclose");

        self::$TControl->TView->openView("bottom");
        self::$TControl->TView->Execute("bottom",$bigData["chiefs"],$bigData["phones"]);
        self::$TControl->TView->openView("footer");
        self::$TControl->TView->Execute("footer");
    
    }

	static public function page($aParam=false,$item=false)
	{
        
        if(!isset($aParam[0])) { self::startController(); }
        if($item=="Noticia") {
            $aPage=self::$TControl->TPosts->getByKey($aParam[0]);
        } else {
            $aPage=self::$TControl->TWebpages->getByKey($aParam[0]);
        }
        if(empty($aPage[0])) { self::startController(); }

        $bigData=[];
        $bigData["page"]=$aPage[0];
        $bigData["item"]=$item;

        $bigData["pages"]=self::$TControl->TWebpages->getActives();
        $bigData["chiefs"]=self::$TControl->TUsers->getChiefs();
        $bigData["phones"]=self::$TControl->TUsers->getPhones();

        $bigData["events"]=self::$TControl->TEvents->getLasts();
        $bigData["message"]=self::$TControl->TWebmessages->getLastMessage();
        $bigData["news"]=self::$TControl->TPosts->getLasts(4);

        self::$TControl->TView->openView("head");
        self::$TControl->TView->Execute("head");
        self::$TControl->TView->openView("top");
        self::$TControl->TView->Execute("top",$bigData["pages"]);
        self::$TControl->TView->openView("subheader");
        self::$TControl->TView->Execute("subheader",$bigData);

        self::$TControl->TView->openView("contentopen");

        self::$TControl->TView->openView("page");
        self::$TControl->TView->Execute("page",$bigData);
        self::$TControl->TView->openView("eventshome");
        self::$TControl->TView->Execute("eventshome",$bigData["events"]);
        self::$TControl->TView->openView("suscribehome");

        self::$TControl->TView->openView("contentclose");

        self::$TControl->TView->openView("bottom");
        self::$TControl->TView->Execute("bottom",$bigData["chiefs"],$bigData["phones"]);
        self::$TControl->TView->openView("footer");
        self::$TControl->TView->Execute("footer");
    }
}
?>