<?php function head($TControl,$aDatosOG=false,$showConfigStyle="0") { ?>
<?php $robots=isset($aDatosOG["robots"])?$aDatosOG["robots"]:"all"; ?>

<!DOCTYPE HTML>
<!-- BEGIN html -->
<html lang = "en">
    <!-- BEGIN head -->
    <head>
        <link rel="manifest" href="manifest.json">
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
        <title>Larroque :: Unida para Crecer</title>
        
        <meta name="mobile-web-app-capable" content="yes">
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="application-name" content="Ceiboo">
        <meta name="apple-mobile-web-app-title" content="<?=_TB_WEBTITLE?>">
        <meta name="theme-color" content="#005875">
        <meta name="msapplication-navbutton-color" content="#005875">
        <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
        <meta name="msapplication-starturl" content="/">

        <link rel="icon" type="image/png" sizes="192x192" href="<?=_TB_HOSTTEMPLATE?>img/an-icon-192.png">
        <link rel="apple-touch-icon" type="image/png" sizes="192x192" href="<?=_TB_HOSTTEMPLATE?>img/an-icon-192.png">
        <link rel="icon" type="image/png" sizes="32x32" href="<?=_TB_HOSTTEMPLATE?>img/an-icon-32.png">
        <link rel="apple-touch-icon" type="image/png" sizes="32x32" href="<?=_TB_HOSTTEMPLATE?>img/an-icon-32.png">
        <link rel="icon" type="image/png" sizes="512x512" href="<?=_TB_HOSTTEMPLATE?>img/an-icon-512.png">
        <link rel="apple-touch-icon" type="image/png" sizes="512x512" href="<?=_TB_HOSTTEMPLATE?>img/an-icon-512.png">
        <link rel="icon" type="image/png" sizes="128x128" href="<?=_TB_HOSTTEMPLATE?>img/an-icon-128.png">
        <link rel="apple-touch-icon" type="image/png" sizes="128x128" href="<?=_TB_HOSTTEMPLATE?>img/an-icon-128.png">
        <link rel="icon" type="image/png" sizes="152x152" href="<?=_TB_HOSTTEMPLATE?>img/an-icon-152.png">
        <link rel="apple-touch-icon" type="image/png" sizes="152x152" href="<?=_TB_HOSTTEMPLATE?>img/an-icon-152.png">
        <link rel="icon" type="image/png" sizes="144x144" href="<?=_TB_HOSTTEMPLATE?>img/an-icon-144.png">
        <link rel="apple-touch-icon" type="image/png" sizes="144x144" href="<?=_TB_HOSTTEMPLATE?>img/an-icon-144.png">

        <!-- Meta Tags -->  
        <meta name="title" content="<?=$aDatosOG["pagetitle"]?>" />
        <meta name="description" content="<?=$aDatosOG["description"]?>" />
        <meta name="keywords" content="<?=$aDatosOG["keywords"]?>">
        
        <meta name="Author" content="<?=_TB_WEBTITLE?>">
        <meta name="Subject" content="<?=_TB_WEBTITLE?>">
        <meta name="Language" content="es_ES"> 
        <meta name="Rating" content="general" />
        <meta name="Organization" content="<?=_TB_WEBTITLE?>" />
        <meta name="Copyright" content="Copyright (c) 2017-2018 ceiboo.com" />
        <meta name="Locality" content="Entre Rios, Argentina" />
        <meta name="Generator" content="Ceiboo News by ceiboo.com" />
        <meta http-equiv="Content-Language" content="es-ar">
        <meta name="Revisit" content="1 day">
        <meta name="Distribution" content="Global">

        <meta name="robots" content="<?=$robots?>" />
        <meta name="googlebot" content="<?=$robots?>" />

        <meta name="geo.region" content="AR">
        <meta name="geo.position" content="-33.008394;-58.516102">
        <meta name="ICBM" content="-33.008394, -58.516102">
        
        <meta property="fb:pages" content="<?=$aDatosOG["settings"]["developer"]["facebookpageid"]?>" />
        <meta property="fb:app_id"      content="129375317732956" />
        <meta property="og:url"         content="<?=$aDatosOG["url"]?>" />
        <meta property="og:type"        content="<?=$aDatosOG["type"]?>" />
        <meta property="og:title"       content="<?=$aDatosOG["pagetitle"]?>" />
        <meta property="og:description" content="<?=$aDatosOG["description"]?>" />
        <meta property="og:image"       content="<?=$aDatosOG["image"]?>" />
        <meta property="og:image:width" content="<?=$aDatosOG["width"]?>" />
        <meta property="og:image:height" content="<?=$aDatosOG["height"]?>" />
        
        <meta name="twitter:card" content="summary_large_image">
        <meta name="twitter:title" content="<?=_TB_WEBTITLE?> :: <?=$aDatosOG["pagetitle"]?>">
        <meta name="twitter:description" content="<?=$aDatosOG["description"]?>">
        <meta name="twitter:image:src" content="<?=$aDatosOG["image"]?>">

        <!-- Favicon 
        <link rel="shortcut icon" href="images/favicon.png" type="image/x-icon" />
        -->

        <link href="<?=_TB_HOSTTEMPLATE?>css/custom.css" rel="stylesheet">
        <link href="<?=_TB_HOSTTEMPLATE?>css/responsive.css" rel="stylesheet">
        <link href="<?=_TB_HOSTTEMPLATE?>css/color.css" rel="stylesheet">
        <link href="<?=_TB_HOSTTEMPLATE?>css/all.css" rel="stylesheet">
        <link href="<?=_TB_HOSTTEMPLATE?>css/owl.carousel.min.css" rel="stylesheet">
        <link href="<?=_TB_HOSTTEMPLATE?>css/bootstrap.min.css" rel="stylesheet">
        <link href="<?=_TB_HOSTTEMPLATE?>css/prettyPhoto.css" rel="stylesheet">
        <link href="<?=_TB_HOSTTEMPLATE?>css/slick.css" rel="stylesheet">
        <link rel="icon" href="images/fav.png" type="image/png">
        <!--Rev Slider Start-->
        <link rel="stylesheet" href="<?=_TB_HOSTTEMPLATE?>js/rev-slider/css/settings.css"  type='text/css' media='all' />
        <link rel="stylesheet" href="<?=_TB_HOSTTEMPLATE?>js/rev-slider/css/layers.css"  type='text/css' media='all' />
        <link rel="stylesheet" href="<?=_TB_HOSTTEMPLATE?>js/rev-slider/css/navigation.css"  type='text/css' media='all' />

        <!-- Custom stlylesheet -->
        <?php if($showConfigStyle=="2") { ?>
            <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
            <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
        <?php } else { ?>
            <?php if($showConfigStyle=="1") { ?>
                <link type="text/css" rel="stylesheet" href="<?=_TB_HOSTTEMPLATE?>css/plugin_ceiboonews.css"/>
            <?php } ?>    
        <?php } ?>    

        <!--[if lt IE 9]>
            <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
            <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
        
        
        <?php if(_TB_ENTORNO==="local") { ?>

        <?php } else { ?>
            <?php if(isset($aDatosOG["settings"]["developer"]["googleanalytics"]) && !empty($aDatosOG["settings"]["developer"]["googleanalytics"])) { ?>
                <!-- Global site tag (gtag.js) - Google Analytics -->
                <script async src="https://www.googletagmanager.com/gtag/js?id=<?=$aDatosOG["settings"]["developer"]["googleanalytics"]?>"></script>
                <script>
                window.dataLayer = window.dataLayer || [];
                function gtag(){dataLayer.push(arguments);}
                gtag('js', new Date());

                gtag('config', '<?=$aDatosOG["settings"]["developer"]["googleanalytics"]?>');
                </script>
            <?php } ?>
            <?php if(isset($aDatosOG["settings"]["developer"]["googleadsense"]) && !empty($aDatosOG["settings"]["developer"]["googleadsense"])) { ?>
                <script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
                <script>
                    (adsbygoogle = window.adsbygoogle || []).push({
                        google_ad_client: "<?=$aDatosOG["settings"]["developer"]["googleadsense"]?>",
                        enable_page_level_ads: true
                    });
                </script>
            <?php } ?>
         <?php } ?>
        
    <!-- END head -->

    </head>
<body class="layout-narrow">
    <?php if(isset($aDatosOG["settings"]["developer"]["facebookpageid"]) && !empty($aDatosOG["settings"]["developer"]["facebookpageid"])) { ?>
        <div id="fb-root"></div>
        <script>(function(d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) return;
        js = d.createElement(s); js.id = id;
        js.src = 'https://connect.facebook.net/es_ES/sdk.js#xfbml=1&version=v3.2&appId=424255081052874&autoLogAppEvents=1';
        fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));</script>
    <?php } ?>
    <!--Wrapper Start-->
    <div class="wrapper"> 

<?php } ?>