<?php
Class TControllerPosthree
{
	static private $TControl=NULL;
	
	public function __construct(TControl $TControl)
	{
		self::$TControl = $TControl;
	}
		
	static public function startController($param)
	{
		$aSites=self::$TControl->TSites->getList("s.active='on'");
		self::$TControl->TView->openView("head");
		self::$TControl->TView->openView("sitetop");
		self::$TControl->TView->Execute("sitetop","home-page");
		self::$TControl->TView->openView("home");
		self::$TControl->TView->Execute("home",$aSites);
		self::$TControl->TView->openView("sitefooter");
		self::$TControl->TView->Execute("sitefooter");
		self::$TControl->TView->openView("footer");
		self::$TControl->TView->Execute("footer",array("homepage"));
	}

	static public function mantenimiento()
	{
		self::$TControl->TView->openView("head");
		$aError["title"]="<br><br><br>¡Atención!";
		$aError["subtitle"]="!Estamos realizando tareas de mantenimiento!";
		$aError["description"]='
		<p class="card-description">La plataforma ceiboo.news estará inactiva por unos minutos mientras migramos nuestra plataforma a un servidor con mayor capacidad de procesamiento.</p>
		<p class="card-description">Le pedimos un poco de paciencia y en breve restableceremos el servicio.</p>
		<p class="card-description">Si tienes algo urgente para publicar, envíanos un Whatsapp al número: +54 9 3446 534043</p>';
		$aError["icon"]="warning";

		self::$TControl->TView->openView("message");
		self::$TControl->TView->Execute("message",$aError);
		//self::$TControl->TView->openView("sitefooter");
		//self::$TControl->TView->Execute("sitefooter");
		self::$TControl->TView->openView("footer");
		self::$TControl->TView->Execute("footer");
	}

	static public function clientes()
	{
		$aSites=self::$TControl->TSites->getList("s.active='on'");
		self::$TControl->TView->openView("head");
		self::$TControl->TView->openView("sitetop");
		self::$TControl->TView->Execute("sitetop","client-page");
		self::$TControl->TView->openView("clients");
		self::$TControl->TView->Execute("clients",$aSites);
		self::$TControl->TView->openView("sitefooter");
		self::$TControl->TView->Execute("sitefooter");
		self::$TControl->TView->openView("footer");
		self::$TControl->TView->Execute("footer");
	}	

	static public function precios()
	{
		self::$TControl->TView->openView("head");
		self::$TControl->TView->openView("sitetop");
		self::$TControl->TView->Execute("sitetop","pricing-page");
		self::$TControl->TView->openView("pricing");
		self::$TControl->TView->Execute("pricing");
		self::$TControl->TView->openView("sitefooter");
		self::$TControl->TView->Execute("sitefooter");
		self::$TControl->TView->openView("footer");
		self::$TControl->TView->Execute("footer");
	}	
	static public function privacidad()
	{
		self::$TControl->TView->openView("head");
		self::$TControl->TView->openView("sitetop");
		self::$TControl->TView->Execute("sitetop","pricing-page");
		self::$TControl->TView->openView("privacity");
		self::$TControl->TView->Execute("privacity");
		self::$TControl->TView->openView("sitefooter");
		self::$TControl->TView->Execute("sitefooter");
		self::$TControl->TView->openView("footer");
		self::$TControl->TView->Execute("footer");
	}	

	static public function contactanos()
	{
		self::$TControl->TView->openView("head");
		self::$TControl->TView->openView("sitetop");
		self::$TControl->TView->Execute("sitetop","home-page");
		self::$TControl->TView->openView("contactanos");
		self::$TControl->TView->Execute("contactanos");
		self::$TControl->TView->openView("sitefooter");
		self::$TControl->TView->Execute("sitefooter");
		self::$TControl->TView->openView("footer");
		self::$TControl->TView->Execute("footer");
	}	

	static public function terminosycondiciones()
	{
		self::$TControl->TView->openView("head");
		self::$TControl->TView->openView("sitetop");
		self::$TControl->TView->Execute("sitetop","pricing-page");
		self::$TControl->TView->openView("conditions");
		self::$TControl->TView->Execute("conditions");
		self::$TControl->TView->openView("sitefooter");
		self::$TControl->TView->Execute("sitefooter");
		self::$TControl->TView->openView("footer");
		self::$TControl->TView->Execute("footer");
	}

	static public function admin()
	{
		self::login();
	}	

	static public function login()
	{
		if($_SERVER['REMOTE_ADDR']==_TB_HOSTREMOTE || $_SERVER['REMOTE_ADDR']==_TB_HOSTREMOTE1)
		{
			$url=_TB_HOSTADMIN."access/autologin/";
			header("Location: ".$url );
			return false;
		}

		$sMessage=(isset($_GET["message"])?$_GET["message"]:"");
		self::$TControl->TView->openView("head");
		self::$TControl->TView->openView("sitetop");
		self::$TControl->TView->Execute("sitetop","login-page");
		self::$TControl->TView->openView("login");
		self::$TControl->TView->Execute("login",$sMessage);
		self::$TControl->TView->openView("sitefooter");
		self::$TControl->TView->Execute("sitefooter");
		self::$TControl->TView->openView("footer");
		self::$TControl->TView->Execute("footer");
	}	


	static public function registrarse()
	{
		$sMessage=(isset($_GET["message"])?$_GET["message"]:"");
		$aCountries=self::$TControl->TGeocountries->getOrdByID();
		self::$TControl->TView->openView("head");
		self::$TControl->TView->openView("sitetop");
		self::$TControl->TView->Execute("sitetop","register-page");
		$aBigData=array("message"=>$sMessage, "countries"=>$aCountries);
		self::$TControl->TView->openView("register");
		self::$TControl->TView->Execute("register",$aBigData);
		self::$TControl->TView->openView("sitefooter");
		self::$TControl->TView->Execute("sitefooter");
		self::$TControl->TView->openView("footer");
		self::$TControl->TView->Execute("footer",array("register"));
	}	

	static public function active($aParam=false)
	{
		self::$TControl->TView->openView("head");
		self::$TControl->TView->openView("sitetop");
		self::$TControl->TView->Execute("sitetop","register-page");
			
		$bExist=false;
		
		if(isset($aParam[0]) && isset($aParam[1]) && isset($aParam[2]))
		{
			$idCompanyMD5=$aParam[0];
			$idSiteMD5=$aParam[1];
			$emailMD5=$aParam[2];
			$aError=[];

			$aCheck1=self::$TControl->TCompanies->getRecordBy("MD5(idcompany)",$idCompanyMD5);
			if(count($aCheck1)>0) { $bExist1=true; $idCompany=$aCheck1["0"]["idcompany"]; }
			
			$aCheck2=self::$TControl->TSites->getRecordBy("MD5(idsite)",$idSiteMD5);
			if(count($aCheck2)>0) { $bExist2=true; $idSite=$aCheck2["0"]["idsite"]; }
			
			$aCheck3=self::$TControl->TUsers->getRecordBy("MD5(email)",$emailMD5);
			if(count($aCheck3)>0) { $bExist3=true; $idUser=$aCheck3["0"]["iduser"];}
			
			if($bExist1 && $bExist2 && $bExist3)
			{
				self::$TControl->TCompanies->switchActive($idCompany,'on');
				self::$TControl->TSites->switchActive($idSite,'on');
				self::$TControl->TUsers->switchActive($idUser,'on');

				$aError["title"]="¡Felicitaciones!";
				$aError["subtitle"]="!Tu cuenta ya está activa!";
				$aError["description"]='
				<p class="card-description">Hemos activado tu cuenta y ya eres parte de la plataforma ceiboo.news.</p>
				<p><b>ID Sitio:</b>'.$aCheck2["0"]["idsite"].'</p>
				<p><b>Correo Electrónico:</b>'.$aCheck3["0"]["email"].'</p>
				<p><b>Password:</b>****************************</p>
				<p class="card-description">En el email de activación de cuenta que te enviamos tienes los datos para ingresar al <a href="'._TB_HOSTADMIN.'">panel de administración</a>.</p>
				<p class="card-description">Si tienes problemas con tu cuenta de Ceiboo, envíanos un Whatsapp al número: +54 9 3446 534043</p>
				<p><b><a href="'._TB_HOSTADMIN.'">IR AL PANEL DE ADMINISTRACIÓN</a>.</b></p>
				';
				$aError["icon"]="thumb_up";

				self::$TControl->TView->openView("message");
				self::$TControl->TView->Execute("message",$aError);
			} else {
				$aError["title"]="¡Problemas para activar!";
				$aError["subtitle"]="!Veamos como podemos ayudarte!";
				if(!$bExist1) {
					$message='La <b>clave de compania: '.$idCompanyMD5.'</b> que envias no coincide con una en nuestra base de datos. Prueba hacer click nuevamente en el enlace que te enviamos por correo Electrónico.';
				}
				if(!$bExist2) {
					$message='La <b>clave de sitio: '.$idSiteMD5.'</b> que envias no coincide con una en nuestra base de datos. Prueba hacer click nuevamente en el enlace que te enviamos por correo Electrónico.';
				}
				if(!$bExist3) {
					$message='La <b>clave de usuario: '.$emailMD5.'</b> que envias no coincide con una en nuestra base de datos. Prueba hacer click nuevamente en el enlace que te enviamos por correo Electrónico.';
				}
				$aError["description"]='<p class="card-description">'.$message.'</p>';
				$aError["description"].='<p class="card-description"></a></p><p class="card-description">Si no puedes resolver un problema con tu cuenta de Ceiboo, envíanos un Whatsapp al número: +54 9 3446 534043 con una foto de la pantalla para que podamos identificar el error.</p>';

				$aError["icon"]="warning";
				self::$TControl->TView->openView("message");
				self::$TControl->TView->Execute("message",$aError);
			}

		} else {
			$aError["title"]="¡Problemas para activar!";
			$aError["subtitle"]="!Veamos como podemos ayudarte!";
			$aError["description"]='<p class="card-description">El enlace de activación no te llegó completo o está mal escrito. Prueba escribirlo nuevamente o copiar y pegar el mismo</p>
			<p class="card-description"></a></p><p class="card-description">Si no puedes resolver un problema con tu cuenta de Ceiboo, envíanos un Whatsapp al número: +54 9 3446 534043 con una foto de la pantalla para que podamos identificar el error.</p>';
			$aError["icon"]="error";
			self::$TControl->TView->openView("message");
			self::$TControl->TView->Execute("message",$aError);
		}

		self::$TControl->TView->openView("sitefooter");
		self::$TControl->TView->Execute("sitefooter");
		self::$TControl->TView->openView("footer");
		self::$TControl->TView->Execute("footer");		

	}
	
	static public function post_register($aParam=false)
	{
		if(isset($_POST["sitename"]) && isset($_POST["email"])) 
		{
			$aError=[];
			$bExist1=false;
			$bExist2=false;
			$bExist3=false;

			$aCheck=self::$TControl->TCompanies->getRecordBy("email",$_POST["email"]);
			if(count($aCheck)>0) { $bExist1=true; $idCompany=$aCheck["0"]["idcompany"]; }
			
			$aCheck=self::$TControl->TSites->getRecordBy("url",$_POST["sitename"]);
			if(count($aCheck)>0) { $bExist2=true; $idSite=$aCheck["0"]["idsite"]; }
			
			$aCheck=self::$TControl->TUsers->getRecordBy("email",$_POST["email"]);
			if(count($aCheck)>0) { $bExist3=true; $idUser=$aCheck["0"]["iduser"];}

			if($bExist1 && $bExist2 && $bExist3)
			{
				$aError["title"]="Problemas para registrarse";
				$aError["subtitle"]="La empresa o el sitio web ya existen.";
				$aError["description"]='<p class="card-description">Estas intentando subscribir una empresa, medio o usuario que ya existen en nuestra plataforma.</p>
				<p class="card-description">Puedes ponerte en contacto con '.$aError["name"].' o envíanos un Whatsapp al número: +54 9 3446 534043 y cuentanos cual es el problema que te ha surgido.</p>';

				$aError["title"]="¡Problemas para registrarse!";
				$aError["subtitle"]="!Veamos como podemos ayudarte!";
				if(!$bExist1) {
					$message='<b>El Correo Electrónico de la compania: '.$_POST["email"].'</b> que has ingresado coincide con otro que ya tenemos registrado en nuestra base de datos.';
				}
				if(!$bExist2) {
					$message='La <b>url de sitio: '.$_POST["email"].'</b> que has ingresado coincide con otra que ya tenemos registrado en nuestra base de datos.';
				}
				if(!$bExist3) {
					$message='<b>El Correo Electrónico de usuario: '.$_POST["email"].'</b> que has ingresado coincide con otro que ya tenemos registrado en nuestra base de datos.';
				}
				$aError["description"]='<p class="card-description">'.$message.'</p>';
				$aError["description"].='<p class="card-description"></a></p><p class="card-description">Si no puedes resolver un problema con tu cuenta de Ceiboo, envíanos un Whatsapp al número: +54 9 3446 534043 con una foto de la pantalla para que podamos identificar el error.</p>';

				$aError["icon"]="warning";

			} else {
				$aCompanies=[];
				$aCompanies["name"]=$_POST["companyname"];
				$aCompanies["appid"]=strtolower(str_replace(" ","",$_POST["companyname"]));
				$aCompanies["secretkey"]=md5(strtolower(str_replace(" ","",$_POST["companyname"])));
				$aCompanies["person_charge"]=$_POST["name"];
				$aCompanies["idcity"]=$_POST["idcity"];
				$aCompanies["phone"]=$_POST["phone"];
				$aCompanies["email"]=$_POST["email"];
				$aCompanies["active"]="off";
				self::$TControl->TCompanies->set($aCompanies);
				$aCheck=self::$TControl->TCompanies->getRecordBy("email",$_POST["email"]);

				$aSites=[];
				$aSites["idcompany"]=$aCheck[0]["idcompany"];
				$aSites["sitekey"]=md5($aCheck[0]["idcompany"]);
				$aSites["name"]=$_POST["companyname"];
				$aSites["url"]=$_POST["sitename"];
				$aSites["urlposts"]=$_POST["sitename"]."noticia/";
				$aSites["urlcategories"]=$_POST["sitename"]."listar/";
				$aSites["codename"]=self::$TControl->TSites->createCodename($_POST["sitename"]);
				$aSites["idcity"]=$_POST["idcity"];
				$aSites["whatsapp"]=$_POST["phone"];
				$aSites["active"]="off";
				self::$TControl->TSites->set($aSites);
				$aCheck=self::$TControl->TSites->getRecordBy("url",$_POST["sitename"]);

				$aUsers=[];
				$aUsers["idsite"]=$aCheck[0]["idsite"];
				$aUsers["name"]=$_POST["name"];
				$aUsers["url"]=$_POST["sitename"];
				$aUsers["idcity"]=$_POST["idcity"];
				$aUsers["phone"]=$_POST["phone"];
				$aUsers["privilege"]="reader";
				$aUsers["email"]=$_POST["email"];
				$aUsers["password"]=$_POST["password"];
				$aUsers["active"]="off";
				self::$TControl->TUsers->set($aUsers);
				
				$sActiveUrl="active/".md5($aSites["idcompany"])."/".md5($aUsers["idsite"])."/".md5($aUsers["email"])."/";

				$html=file_get_contents(_TB_PATHBASE."middleware/apps/www/views/mail_register.html");
				$html=str_replace("[name]",$aUsers["name"],$html);
				$html=str_replace("[email]",$aUsers["email"],$html);
				$html=str_replace("[phone]",$aUsers["phone"],$html);
				$html=str_replace("[sitename]",$_POST["sitename"],$html);
				$html=str_replace("[companyname]",$_POST["companyname"],$html);
				$html=str_replace("[activar]",$sActiveUrl,$html);
				$html=str_replace("[idsite]",$aUsers["idsite"],$html);
				$html=str_replace("[password]",$aUsers["password"],$html);
				$html=str_replace("[hostceiboo]",_TB_HOST,$html);
				$html=str_replace("[logoceiboo]",_TB_HOSTMATERIAL."img/logo155x37.png",$html);
				

				$aError["email"]=self::$TControl->TUsers->sendMail($_POST,$html);
				$aError["title"]="Gracias por registrarte";
				$aError["subtitle"]="Revisa tu correo electrónico. !Tienes un email!";
				$aError["description"]='<p class="card-description">Te has subscripto a la plataforma ceiboo.news. En breve te llegará un email con un enlace.<br>Al hacer click en el enlace que te hemos enviado podrás activar tu cuenta.</p>
				<p class="card-description">Si no recibes el correo electrónico o tienes problemas para activar tu cuenta de Ceiboo, envíanos un Whatsapp al número: +54 9 3446 534043</p>';
				$aError["icon"]="touch_app";
			} 
			self::$TControl->TView->openView("head");
			self::$TControl->TView->openView("sitetop");
			self::$TControl->TView->Execute("sitetop","register-page");
			self::$TControl->TView->openView("message");
			self::$TControl->TView->Execute("message",$aError);
			
			self::$TControl->TView->openView("sitefooter");
			self::$TControl->TView->Execute("sitefooter");
			self::$TControl->TView->openView("footer");
			self::$TControl->TView->Execute("footer");

		}
	}


	static public function ajaxManager($aParam=false)
	{
		$sAction=$aParam[0];

		if (isset($_POST["id"])) 
		{
			switch ($sAction) {
				case 'fillregions':
					$aDatos=self::$TControl->TGeoregions->getOrdByID($_POST["id"]);
					echo '<option value="0">Región donde tienes tu sitio web</option>';
					foreach ($aDatos as $key => $rDato) {
						echo "<option value='$key'>".$rDato["name"]."</option>";
					}
					break;
				case 'fillcities':
					$aDatos=self::$TControl->TGeocities->getOrdByID($_POST["id"]);
					echo '<option value="0">Ciudad donde tienes tu sitio web</option>';
					foreach ($aDatos as $key => $rDato) {
						echo "<option value='$key'>".$rDato["name"]."</option>";
					}
					break;
				default:
					echo "error de accion";
					return false;
					break;
			}
			
		}
		//echo "ok";
		return true;
	}

}
?>