<?php function conditions($TControl) { ?>

<div class="content" >
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-md-offset-3 text-center">
                <h2 class="title">Términos y Condiciones de uso</h2>
            </div>
        </div>
        <div class="row">
           
            <div class="col-md-10 col-md-offset-1 text-left">
                <div class="card card-raised">
                    <div class="card-content">
<p class="card-description">
LA SOLA UTILIZACIÓN DE LOS SERVICIOS DE POSTHREE, O AL ACEPTAR MEDIANTE EL BOTÓN "ACEPTO" CHECKEANDO LOS TERMINOS Y CONDICIONES, USTED, EN SU CARÁCTER DE USUARIO (DESDE AHORA LLAMADO EL “USUARIO”), ACEPTA EXPRESAMENTE LOS TÉRMINOS Y CONDICIONES QUE SE ESTABLECEN A CONTINUACIÓN Y EL USO DEL PRODUCTO POSTHREE (DESDE AHORA LLAMADO EL "POSTHREE"). SI USTED NO ESTÁ DE ACUERDO CON ESTOS TÉRMINOS Y CONDICIONES, DEBERÁ ABSTENERSE DE UTILIZAR EL SERVICIO O RECHAZARLOS SIN MARCA EL CHECKBOX DE TERMINOS Y CONDICIONES.
</p>
<p class="card-description">
El presente acuerdo describe los términos y condiciones aplicables al uso del Producto y Servicio que Posthree (en adelante “Posthree”) brinda bajo el dominio www.posthree.com (en adelante el “sitio”) y la plataforma Posthree.com. Aceptando estos términos y condiciones, el USUARIO reconoce que ha leído, entiende y acepta en su totalidad los términos y condiciones del acuerdo que se describen a continuación. Posthree podrá requerirle en cualquier momento y como condición de ejercicio de sus derechos de USUARIO, que Ud. suscriba un ejemplar del presente Acuerdo.
</p>

<h3>Descripción del servicio</h3>
<p class="card-description">El objetivo de la plataforma Posthree.com es brindar al USUARIO de un sitio web o espacio virtual propio, de dominio propio o ajeno, con alojamiento o no, con capacidad de autogestión, para que éste pueda crear, manipular, publicar, editar, y eliminar contenido, como así también gestionar aspectos de su plantilla web.</p>
<p class="card-description"><a href="http://www.posthree.com">http://www.posthree.com</a> es el sitio web mediante el cual se comercializa la herramienta y/o producto Posthree.com. Posthree.com es un sistema de administración de Municipios o CMS (por sus siglas en Inglés ”Content Management System”), que proporciona al USUARIO un espacio virtual de dominio propio o no, y aplica a este un diseño web a partir de una lista de plantillas proporcionadas o no por Posthree. Posthree ofrece al USUARIO el alojamiento del sitio web, la herramienta de administración de contenido o CMS, y un diseño web a elección disponibles en <a href="http://www.posthree.com/plantillas">http://www.posthree.com/plantillas</a>.</p>
<p class="card-description">Posthree se encarga del  mantenimiento de la plataforma y los diseños. Posthree se reserva expresamente la posibilidad de optimizar, modificar y/o eliminar el Sistema y/o el Sitio y/o el Servicio y/o sus contenidos y/o funcionalidades a su entera discreción. Posthree no será responsable de cualquier perjuicio al USUARIO derivado de tal optimización, modificación y/o eliminación. Posthree no está obligado a proveer ningún equipo o programa de software para acceder al servicio.</p>

<h3>Utilización del servicio</h3>
<p class="card-description">El acceso al Producto se efectuará a través de una cuenta registrada por el USUARIO y habilitada por Posthree. El USUARIO será enteramente responsable por todas las operaciones efectuadas desde su cuenta. El USUARIO se obliga a mantener la confidencialidad de su cuenta y su contraseña, como así también a notificar a Posthree en forma inmediata cualquier uso no autorizado. Posthree no se responsabiliza del uso que hagan tanto el USUARIO como terceras personas de su/sus cuentas registradas. El USUARIO responderá por las consecuencias y los gastos correspondientes a la utilización del Producto por cualquier tercero que emplee su cuenta hasta el momento en que, en su caso, el USUARIO haya informado a Posthree el cambio de su contraseña. El USUARIO será enteramente responsable de la veracidad de los datos que ingrese para utilizar el Producto y Servicio. En caso que existiera una disputa referente a la titularidad del Espacio Propio y/o los datos de ingreso, Posthree podrá suspender el Servicio hasta tanto se haya acreditado fehacientemente la identidad del USUARIO.</p>
<p class="card-description">Posthree no será responsable ni reclamará los derechos respecto al contenido subido por el USUARIO al SITIO WEB, como así tampoco de su veracidad, integridad, actualización, calidad y/o legalidad. El USUARIO reconoce y acepta ser el exclusivo responsable y autor del contenido que sube y comparte en su sitio web, registra, aloja, y/o envía, y que Posthree no tiene ni puede tener participación alguna en tales operaciones, desconociendo además el contenido de los artículos periodísticos o archivos subidos y compartidos. El USUARIO libera expresamente a Posthree de toda responsabilidad derivada de la generación, redacción o envío de artículos y/o de la utilización del Producto y del Servicio en general, como así también de los links que puedan generarse hacia terceros dentro del SITIO WEB y la generación de vínculos del USUARIO con sus clientes u otros terceros.</p>
<p class="card-description">El USUARIO asegura que al hacer uso del Sitio y/o del Espacio Propio y/o del Sistema y/o del Servicio cumple y siempre cumplirá con la normativa vigente y que no viola ni violará de ninguna forma los derechos de terceros.</p>
<p class="card-description">El USUARIO se compromete a mantener indemne a Posthree respecto a cualquier reclamo proveniente de clientes del USUARIO, de la AFIP o de otros terceros relacionados con la utilización del Producto y Servicio.</p>
<p class="card-description">Queda prohibido todo uso del Sistema y/o del Sitio y/o del Espacio Propio y/o del Servicio y/o del Producto que perjudique, impida, pueda dañar y/o sobrecargar, de cualquier forma, la utilización y normal funcionamiento del Sistema y/o del Sitio y/o del Espacio Propio y/o del Servicio y/o del Producto</p>
<p class="card-description">
En ningún caso Posthree será responsable de cualquier clase de daños ni pérdida de rentabilidad o de uso, pérdida o interrupción en el acceso de datos, lucro cesante, pérdida de chance, costos de cobertura, daños indirectos, especiales o incidentales de ningún tipo relacionados con la utilización del Sistema y/o del Sitio y/o del Espacio Propio y/o del Servicio y/o del Producto, incluyendo la responsabilidad relacionada con:
</p>
<ul>
    <li>
        <p class="card-description">La falta de disponibilidad, continuidad, acceso y/o efectivo funcionamiento del Sistema y/o del Sitio y/o del Espacio Propio y/o del Servicio y/o del Producto. Posthree no garantiza el acceso y uso continuado o ininterrumpido del Sitio. El USUARIO toma conocimiento y acepta que el Sitio se encuentra alojado en un servidor de alta disponibilidad de Linode situado en EE.UU., respecto al cual Posthree no tiene injerencia alguna. El Sistema y/o el Sitio y/o el Espacio Propio y/o el Servicio y/o del Producto puede eventualmente no estar disponible debido a dificultades técnicas o fallas de Internet, o por cualquier otra circunstancia, ajena o no a Posthree. <b>En tales casos Posthree desplegará sus mejores esfuerzos para solucionar los inconvenientes con la mayor celeridad posible, sin que por ello pueda imputársele a Posthree algún tipo de responsabilidad.</b></p></li>
    <li>
        <p class="card-description">Daños ocasionados por virus, programas maliciosos o cualquier otro agente que pueda infectar o afectar de cualquier modo el Espacio Propio y/o el Sistema y/o los Comprobantes y/o los Sistemas de computación utilizados por el USUARIO.</p>
    </li>
</ul>

<p class="card-description">Posthree no otorga ningún tipo de garantía, expresa, implícita o de ninguna otra naturaleza, en relación a la utilización del Sitio y/o del Espacio Propio y/o del Sistema y/o del Servicio y/o del Producto. Por ello, dentro de la mayor extensión permitida por la ley, Posthree expresa y específicamente rechaza la asunción de todas las garantías implícitas de comerciabilidad y conveniencia para propósitos específicos (incluso cuando Posthree hubiere sido informado de tal propósito) en relación con la utilización del Sitio y/o del Espacio Propio y/o del Sistema y/o del Servicio y/o del Producto. El USUARIO asume todos los riesgos y responsabilidades relacionadas con la selección del Servicio para alcanzar los resultados que se propone, así como la posible instalación, uso y resultados obtenidos. Posthree no garantiza que el Producto y Servicio sea útil para la realización de ninguna actividad en particular, ni la infalibilidad del Producto y Servicio y contenidos accesibles a través del Servicio. Posthree excluyen toda responsabilidad por los daños y perjuicios de toda naturaleza que pudieran deberse a la falta de utilidad que el USUARIO hubiere podido atribuir al Producto y Servicio y a la falibilidad del Producto y Servicio y contenidos accesibles a través del Producto y Servicio.</p>
<p class="card-description">Ningún empleado, agente, representante o afiliado de Posthree detenta facultad o autoridad alguna para obligar o comprometer a Posthree para asumir cualquier compromiso o garantía otorgada verbalmente, relacionada con el Sitio y/o el Espacio Propio y/o el Sistema y/o el Servicio y/o el Producto. Cualquier compromiso o garantía escritos no tendrán validez alguna ni podrán serle opuestos, ni exigibles o demandado su cumplimiento a Posthree.</p>
<p class="card-description">Posthree no garantiza la privacidad y la seguridad en la utilización del acceso a Internet de banda ancha por parte del USUARIO y, en particular, no garantiza que terceros no autorizados no puedan tener conocimiento de la clase, condiciones, características y circunstancias del uso de Internet que pueda hacer el USUARIO, o que terceros no puedan acceder y, en su caso, interceptar, eliminar, alterar, modificar o manipular de cualquier modo los contenidos y comunicaciones de toda clase que el USUARIO transmita, difunda, almacene, ponga a disposición, reciba, obtenga o acceda a través del acceso a Internet de banda ancha. Posthree excluye, con toda la extensión que permite el ordenamiento jurídico, toda responsabilidad por los daños y perjuicios de cualquier naturaleza que puedan deberse al conocimiento que puedan tener los terceros de la clase, condiciones, características y circunstancias del uso de Internet que pueda hacer el USUARIO o que puedan deberse al acceso y, en su caso, a la interceptación, eliminación, alteración, modificación o manipulación de cualquier modo de los contenidos y comunicaciones de toda clase que el USUARIO transmita, difunda, almacene, ponga a disposición, reciba, obtenga o acceda a través del acceso a Internet de banda ancha. Posthree excluye cualquier responsabilidad por los daños y perjuicios de toda naturaleza que pudieran deberse al acceso a y/ la utilización del servicio por el USUARIO o por otros usuarios en contra de lo dispuesto en este Acuerdo.</p>
<p class="card-description">Posthree no controla ni ofrece ninguna clase de garantía sobre la veracidad, vigencia, exhaustividad y/o autenticidad de los datos que el USUARIO proporciona sobre sí mismo o hacen accesibles a otros usuarios. Posthree excluye cualquier responsabilidad por los daños y perjuicios de toda naturaleza que puedan deberse a la incorrecta identidad del USUARIO y a la falta de veracidad, vigencia, exhaustividad y/o autenticidad de la información que el USUARIO proporciona acerca de sí mismo y proporciona o hace accesibles a otros usuarios y, en particular, aunque no de modo exclusivo, por los daños y perjuicios de toda naturaleza que puedan deberse a la suplantación de la personalidad de un tercero efectuada por un USUARIO en cualquier clase de comunicación u Operación realizada a través del Producto y Servicio.</p>

<h3>Propiedad intelectual</h3>
<p class="card-description">Posthree autoriza al USUARIO la utilización de los derechos de propiedad intelectual relativos al Servicio de los que Posthree es titular, únicamente para utilizar el Servicio de conformidad con lo establecido en este Acuerdo. Posthree no concede ninguna otra licencia o autorización de uso de ninguna clase sobre sus derechos de propiedad intelectual relacionados con los SERVICIOS y el PRODUCTO</p>
<p class="card-description">Los contenidos del Sitio publicados en <a href="http://www.posthree.com/">http://www.posthree.com/</a> y el Producto Posthree.com, incluyendo sin limitación, información, programas, archivos, textos, gráficos, diseños, videos, fotografías, imágenes, logos y sonidos, son y seguirán siendo de exclusiva e irrestricta propiedad de Posthree, bajo la protección de la legislación nacional e internacional sobre propiedad intelectual. Nada de lo contenido en este Acuerdo transfiere al USUARIO cualquiera de los derechos de Posthree sobre cualquier propiedad intelectual. Posthree se reserva todos los derechos del autor. Se prohíbe toda reproducción y difusión total o parcial por cualquier medio, de los contenidos del Sitio.</p>
<p class="card-description">El enlace al Sitio del USUARIO y/o al Espacio Propio, de manera total o parcial, deberá hacerse conforme a la legislación vigente y de modo tal que no implique competencia desleal, ni lesión a los derechos de Posthree. Posthree se reserva el derecho de inhabilitar vínculos o estructuras no autorizadas.</p>
<p class="card-description">El Sitio incluye o puede incluir dentro de sus contenidos enlaces con sitios pertenecientes y/o gestionados por terceros con el objeto de facilitar el acceso a información disponible a través de Internet. Tales enlaces y su contenido son propiedad de sus autores y no constituyen de ninguna forma recomendaciones o sugerencias por Posthree</p>

<h3>Vigencia</h3>
<p class="card-description">El Acuerdo entre Posthree y el USUARIO entrará en vigencia a partir de la fecha en que se produzca el alta en el Servicio. A tales efectos, se entenderá producido el alta, una vez que el USUARIO haya delegado los DNS de su dominio hacia los servidores de Posthree, o haya confirmado por correo electrónico a las casillas habilitadas de Posthree,  o haya presionado el botón “Aceptar”, o haya iniciado la instalación de un sitio a través del Asistente de Contratación brindado en el Sitio <a href="http://www.posthree.com/">http://www.posthree.com/</a>. El Acuerdo tendrá una duración indefinida, sin perjuicio de la facultad de resolución unilateral referida en el punto siguiente.</p>

<h3>Resolución del acuerdo</h3>
<p class="card-description">El USUARIO podrá resolver unilateralmente el presente Acuerdo en cualquier momento, notificándoselo a Posthree a la dirección de correo electrónico <a href="mailto:joseluis@Posthree.com">joseluis@Posthree.com</a></p>
<p class="card-description">Posthree podrá resolver unilateralmente el presente Acuerdo en caso de incumplimiento del USUARIO a cualquiera de sus términos y condiciones, notificándoselo al USUARIO a su cuenta de correo electrónica registrada.</p>
<p class="card-description">Asistirá asimismo a Posthree el derecho a declarar unilateralmente resuelto este Acuerdo en caso que Linode dejara de proveerle el servicio de alojamiento del Sitio, por cualquier motivo.</p>
<p class="card-description">En todos los casos, la resolución unilateral entrará en vigencia inmediatamente y no afectará las estipulaciones relacionadas con el pago de las sumas adeudadas y las disposiciones que limitan o rechazan la responsabilidad de Posthree, las que sobrevivirán a la terminación de este Acuerdo.</p>
<p class="card-description">En todos los casos de resolución del Acuerdo, Posthree dará de baja el Espacio Propio y pondrá a disposición del USUARIO los Comprobantes y demás información existente en el Espacio Propio, en un formato estándar y a través de una herramienta de descarga pudiendo el USUARIO descargarlo , o un medio magnético, durante un período de 3 meses posteriores a la notificación de la resolución.</p>

<h3>Modificación de los términos y condiciones</h3>
<p class="card-description">Posthree se reserva el derecho, en cualquier momento y sin necesidad de previo aviso, de modificar los términos y condiciones del presenta Acuerdo. Tales modificaciones tendrán vigencia a partir del momento en que sean notificadas al USUARIO a su cuenta de correo electrónica registrada. Dentro de los 5 (cinco) días subsiguientes a la notificación, el USUARIO deberá comunicar a contacto@Posthree si no acepta las modificaciones, en cuyo caso el Acuerdo quedará resuelto. Vencido este plazo sin que hubieran existido objeciones por parte del USUARIO, se considerará que éste ha aceptado los nuevos términos y condiciones.</p>

<h3>Integridad</h3>
<p class="card-description">En caso de que cualquier parte de este Acuerdo sea declarada inválida por cualquier autoridad, el resto de sus partes mantendrán plena validez y vigencia.</p>

<h3>Jurisdicción y ley aplicable</h3>
<p class="card-description">El presente Acuerdo se rige por la legislación de la República Argentina y las partes se someten a la jurisdicción de los Tribunales Ordinarios de la Ciudad de Rafaela, Provincia de Santa Fe, renunciando a cualquier otro fuero o jurisdicción que pudiera corresponderles.</p>
                    </div>
                </div>
            </div>
           
        </div>
    </div>
</div>

<?php } ?>