<?php
/**
* Paths.inc.php 
*
* Archivo de definicion de constantes relativas a rutas
*
* Estas constantes tienen alcance a toda la aplicacion.
*
* @author José Luis Alfaro <joseluis@ceiboo.com>
* @link http://www.ceiboo.com/
* @copyright Copyright &copy; 2012 ceiboo.com
* @since     Versión 4.0, revisión 20122202.
* @version   5.0
* @package Index
*/


define('_TB_EXT', '.php');

/**
* Define las rutas de la estructura para los archivos internos
*/
define('_TB_PATHUPLOAD', _TB_PATHMIDDLEWARE."apps/"._TB_APP."/site/uploads/");
define('_TB_PATHAPP', _TB_PATHMIDDLEWARE."apps/"._TB_APP."/"._TB_SUBSITE."/");
define('_TB_PATHAPPCONTROLLERS', _TB_PATHAPP."controllers/");
define('_TB_PATHMODELS', _TB_PATHMIDDLEWARE."models/");
define('_TB_PATHSITEVIEWS', _TB_PATHAPP."views/");
define('_TB_PATHWWWVIEWS', _TB_PATHAPPS."www/views/");

if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) { $protocolo = 'https://'; } else { $protocolo = 'http://'; }
$sub=explode('.', $_SERVER['HTTP_HOST']);
define('_TB_HOST', $protocolo."www.".$sub[1].".".$sub[2].(isset($sub[3])?".".$sub[3]."/":"/") );
define('_TB_HOSTTEMPLATE', $protocolo.$sub[0].".".$sub[1].".".$sub[2].(isset($sub[3])?".".$sub[3]."/":"/")."middleware/apps/"._TB_APP."/"._TB_SUBSITE."/template/" );
define('_TB_HOSTADMIN', $protocolo."admin.".$sub[1].".".$sub[2].(isset($sub[3])?".".$sub[3]."/":"/") );
define('_TB_HOSTWEBMAIL', $protocolo."webmail.".$sub[1].".".$sub[2].(isset($sub[3])?".".$sub[3]."/":"/") );

define('_TB_HOSTCEIBOO', "https://www.ceiboo.com/");
define('_TB_HOSTMATERIAL', _TB_HOST."middleware/material/");
define('_TB_HOSTUPLOAD', _TB_HOST."middleware/apps/"._TB_APP."/site/uploads/");

//define('_TB_HOSTREMOTE', "190.17.170.33");
//define('_TB_HOSTREMOTE1',"190.183.192.206");
define('_TB_HOSTREMOTE', "999.999.999.999");
define('_TB_HOSTREMOTE1',"999.999.999.998");



?>