<?php
Class tLoggedon extends tUsers
{    
    static private $TControl=NULL;
    
    // 9 propiedades de usuarios
    public $iduser = null;
    public $name = null;
    public $email = null;
    public $phone = null;
    public $image = null;
    public $created = null;
    public $privilege = null;
    public $notifications = null;
    public $active = null;

    public function __construct(TControl $TControl)
    {
        parent::__construct($TControl);
        self::$TControl = $TControl;
    }

    public function loginUser($aData)
    {
        $aResultado = parent::get("password=MD5('".$aData["userPassword"]."') AND (email='".$aData["userEmail"]."' OR dni='".$aData["userEmail"]."') AND active<>'off' ");
        if(count($aResultado)>0) 
        {
            $mode=$aResultado[0]["privilege"];
        }

        // Si no hay resultado retorno falso
        if(count($aResultado)==0) 
        {
            return false;
        } else {
            self::$TControl->TSession->setVar("ceiboo.user",$aResultado[0]);
            $this->setProfile($aResultado[0]);
        }

        return true;
    }

    public function setProfile($aUser=false)
    {
        if(is_array($aUser)) 
        {
            $this->iduser = $aUser["iduser"];
            $this->name = $aUser["name"];
            $this->email = $aUser["email"];
            $this->phone = $aUser["phone"];
            $this->image = _TB_HOST.$aUser["image"];
            $this->created = $aUser["created"];
            $this->privilege = $aUser["privilege"];
            $this->notifications = $aUser["notifications"];
            $this->active = $aUser["active"];
        }

    }
    
    public function setProfileBySession()
    {
        $aData=self::getProfile();
        $this->iduser = $aData["iduser"];
        $this->name = $aData["name"];
        $this->email = $aData["email"];
        $this->phone = $aData["phone"];
        $this->image = _TB_HOST.$aData["image"];
        $this->created = $aData["created"];
        $this->privilege = $aData["privilege"];
        $this->notifications = $aData["notifications"];
        $this->active = $aData["active"];
    }

    public function setProfileUser()
    {
        $this->iduser = null;
        $this->name = null;
        $this->email = null;
        $this->phone = null;
        $this->image = null;
        $this->created = null;
        $this->privilege = null;
        $this->notifications = null;
    }

    public function setUserToAdmin() 
    {
        if($this->isSuperAdmin() || $this->isRootAdmin()) 
        { 
            
        } else {
            self::$TControl->TUsers->switchField($this->iduser,'privilege','admin');
            $this->privilege = 'admin';
            self::$TControl->TSession->setVar("ceiboo.user.privilege","admin");
        }
    }

    public function setModeOn()
    {
        self::$TControl->TSites->switchField($this->idsite,'mode','online');
        $this->mode = 'online';
        self::$TControl->TSession->setVar("ceiboo.user.mode","online");
    }

    public function getProfile()
    {
        if(self::$TControl->TSession->isSetVar("ceiboo.site"))
        {
            return array_merge(self::$TControl->TSession->getVar("ceiboo.user"),self::$TControl->TSession->getVar("ceiboo.site"));
        } else {
            return self::$TControl->TSession->getVar("ceiboo.user");
        }
    }

    public function isLogin()
    {
        if(self::$TControl->TSession->isSetVar("ceiboo.user"))
        {
            $this->setProfileBySession();
            return true;
        } else {
            return false;
        }
    }

    public function isReader()
    {
        if($this->isLogin())
        {
            return (self::$TControl->TSession->getVar("ceiboo.user.privilege")=='reader');
        } else {
            return false;
        }
    }

    public function isEditor()
    {
        if($this->isLogin())
        {
           return (self::$TControl->TSession->getVar("ceiboo.user.privilege")=='editor');
        } else {
            return false;
        }
    }

    public function isRoot()
    {
        if($this->isLogin())
        {
    	   return (self::$TControl->TSession->getVar("ceiboo.user.privilege")=='root');
        } else {
            return false;
        }
    }

    /* Es un modo temporal hasta loguearse en algun sitio */
    public function isCompany() // Cuando el root se loguea en sitios externos
    {
        if($this->isLogin())
        {
    	   return (self::$TControl->TSession->getVar("ceiboo.user.privilege")=='company');
        } else {
            return false;
        }
    }

    public function isRootAdmin() // Cuando el root se loguea en sitios externos
    {
        if($this->isLogin())
        {
    	   return (self::$TControl->TSession->getVar("ceiboo.user.privilege")=='rootadmin');
        } else {
            return false;
        }
    }

    public function isSuperAdmin() // Cuando el root se loguea en sitios externos
    {
        if($this->isLogin())
        {
    	   return (self::$TControl->TSession->getVar("ceiboo.user.privilege")=='superadmin');
        } else {
            return false;
        }
    }

    public function isAdmin()
    {
        if($this->isLogin())
        {
    	   return (self::$TControl->TSession->getVar("ceiboo.user.privilege")=='admin' || self::$TControl->TSession->getVar("ceiboo.user.privilege")=='rootadmin' || self::$TControl->TSession->getVar("ceiboo.user.privilege")=='superadmin');
        } else {
            return false;
        }
    }
    
    public function isDeveloper()
    {
        if($this->isLogin())
        {
    	   return (self::$TControl->TSession->getVar("ceiboo.user.privilege")=='developer');
        } else {
            return false;
        }
    }
    
    public function isGlobal()
    {
        return (self::$TControl->TLoggedon->idsite==0);
    }

    public function Logout()
    {
        self::$TControl->TSession->unSetVar("ceiboo.user");
        if(self::$TControl->TSession->isSetVar("ceiboo.site"))
        {
            self::$TControl->TSession->unSetVar("ceiboo.site");
        }
        return true;
    }

    public function getLeftMenu()
    {

    }

}
?>