<?php
Class tWebmessages extends tTable
{
    
    static private $TControl=NULL;

    public function __construct(TControl $TControl)
    {
        parent::__construct($TControl);
        self::$TControl = $TControl;
        $this->table="spm_web_messages";
        $this->order="idmessage";
        $this->list="idmessage,title,iduser,active";
        $this->listNames=array("ID","Titulo","Iduser","Activo");
        $this->primaryKey="idmessage";
    }

    public function getDataPack($aParam=false)
    {
        $bigData=parent::getDataPack($aParam);
        $bigData["users"]=self::$TControl->TUsers->getOrdByID(true);
        return $bigData;
    }

    public function set($aData)
    {
        /* Si tengo un campo de imagen temporal, mando a subir el archivo */
        if(isset($_FILES["tmpimage"]) && !empty($_FILES["tmpimage"]["name"])) {
            self::$TControl->TUpload->setPath("messages/");
            self::$TControl->TUpload->setBigSize(array("image_x"=>800,"image_y"=>600, "image_resize"=>true, "image_ratio_crop"=>true ));
            self::$TControl->TUpload->setNormalSize(array("image_x"=>400,"image_y"=>300, "image_resize"=>true, "image_ratio_crop"=>true ));
            $aData=$this->setFile($aData);
        }
        $id=parent::set($aData);
    }

    public function getLastMessage()
    {
        $consulta="SELECT m.*, a.formality as formality, a.title as areatitle, u.name as username, u.idarea FROM ".$this->table." as m 
        LEFT JOIN spm_info_users as u ON m.iduser=u.iduser 
        LEFT JOIN spm_info_areas as a ON u.idarea=a.idarea WHERE 1 ORDER BY m.idmessage DESC LIMIT 0,1";
        $aData=self::$TControl->TDb->getArray($consulta);
        if(isset($aData[0]))
        {
            return $aData[0];
        }
    }

}
?>