<?php
Class tWebpages extends tTable
{
    
    static private $TControl=NULL;

    public function __construct(TControl $TControl)
    {
        parent::__construct($TControl);
        self::$TControl = $TControl;
        $this->table="spm_web_pages";
        $this->order="idpage";
        $this->list="idpage,menutitle,parent,active";
        $this->listNames=array("ID","Titulo","Menu","Activo");
        $this->primaryKey="idpage";
    }


    public function set($aData)
    {
        /* Si tengo un campo de imagen temporal, mando a subir el archivo */
        if(isset($_FILES["tmpimage"]) && !empty($_FILES["tmpimage"]["name"])) {
            self::$TControl->TUpload->setPath("pages/");
            self::$TControl->TUpload->setBigSize(array("image_x"=>1200,"image_y"=>900, "image_resize"=>true, "image_ratio_crop"=>true ));
            self::$TControl->TUpload->setNormalSize(array("image_x"=>400,"image_y"=>300, "image_resize"=>true, "image_ratio_crop"=>true ));
            $aData=$this->setFile($aData);
        }
        $id=parent::set($aData);
    }

    public function formatUrl($id,$title,$item)
    {
        return _TB_HOST.$item."/".$id."/".strtolower(str_replace(" ","_",self::$TControl->TWords->sanear_string($title)))."/";
    }


}
?>