<?php
/**
* Tesponse.php 
*/

class TResponse
	{
		static private $TControl=NULL;
		
		public function __construct(TControl $TControl)	{
			self::$TControl = $TControl;
		}
			
		/**
		* Este metodo es el encargado de generar un error en el caso
		* que se necesite
		* @param $sErrorCode;  // codigo del error
		*	<code>
		*		self::$TControl->TControl->TResponse->errorExeption();
		* </code>
		*/			
		public function errorExeption($sErrorCode)
			{
				$aResponse = array("error" => $sErrorCode);
				self::makeResponse($aResponse);
				exit();
			}

		/**
		* Este metodo es el encargado de  devolver los datos solicitados si todo salio correctamente.
		* @param none;
		*	<code>
		*		self::$TControl->TResponse->show();
		* </code>
		*/			
		public function show($aDatos)
			{ 
				header('Access-Control-Allow-Origin: *');
				header('Access-Control-Allow-Methods: POST, GET, OPTIONS');
				header('Access-Control-Max-Age: 1000');
				header("Access-Control-Allow-Credentials: true");
//				header('Access-Control-Allow-Headers: Origin, Content-Type, X-Auth-Token , Authorization');
				//header('Access-Control-Allow-Headers: *');
				header("Access-Control-Allow-Headers: X-Requested-With, Content-Type, Origin, Cache-Control, Pragma, Authorization, Accept, Accept-Encoding");



/*				if(array_key_exists('HTTP_ACCESS_CONTROL_REQUEST_HEADERS', $_SERVER)) {
				    header('Access-Control-Allow-Headers: '
				           . $_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']);
				} else {
				    header('Access-Control-Allow-Headers: *');
				}
*/				
				/*if("OPTIONS" == $_SERVER['REQUEST_METHOD']) {
				    exit(0);
				}*/

				// IE XDR doesn't pass Content-Type so we won't have the POST data under $_POST
				if (count($_POST)==0) {
				
				        if (isset($HTTP_RAW_POST_DATA)) {
				                $data = explode('&', $HTTP_RAW_POST_DATA);
				                foreach ($data as $val) {
				                        if (!empty($val)) {
				                                list($key, $value) = explode('=', $val);
				                                $_POST[$key] = urldecode($value);
				                        }
				                }
				        }
				}

				header('Cache-Control: no-cache, must-revalidate');
				header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
				
				//$aResponse["response"] = $aDatos;
				//$aResponse["response"] = $aDatos;
                //$_GET["format"] = isset($_GET["format"]) ? $_GET["format"] : 'json';
				if(!isset($_GET["format"]) || $_GET["format"] == "json")
					{
						//header('Content-type: application/json');
						header('content-type: application/json; charset=utf-8');
						echo json_encode($aDatos);
					}
				elseif($_GET["format"] == "xml")
					{
						header ("content-type: text/xml");
						echo self::getXML($aDatos);
					}
				//exit();
			}
			
			
			
			/** -------------------------------- FUNCIONES DE RETORNO DE XML ---------------------------------- **/
			

			public function getXML($aDatos)
				{
					$aOrigen = array("&auml;","&euml;","&iuml;","&ouml;","&uuml;","&Auml;","&Euml;","&Iuml;","&Ouml;","&Uuml;","&nbsp;","&amp;","&","&ntilde;","&Ntilde;");
					$aDestino = array("Ã¡","Ã©","Ã­","Ã³","Ãº","Ã�","Ã‰","Ã�","Ã“","Ãš"," ","&","&amp;","Ã±","Ã‘");
					$i=0;
					if($aDatos && is_array($aDatos))
						{
							$sXml='';
							/*$sXml.= "<?xml version='1.0' encoding='ISO-8859-1'?>";*/
							$sXml.= "<?xml version='1.0' encoding='utf-8'?>";
							$sXml.= "<response>";
							$bCloseItem=false;
							foreach($aDatos as $rKeyDatos => $rDatos)
								{
									if(is_array($rDatos))
										{ 
											$sXml.= "<item>";
												$sXml.=	self::getSubBlocks($rDatos,$aOrigen,$aDestino);
											$sXml.= "</item>";
										} else {
											if(!$bCloseItem) { $sXml.= "<item>"; $bCloseItem=true; }
											$i++;
											if(!is_numeric($rKeyDatos))
												{
													$sXml.= '<'.$rKeyDatos.'>'.$rDatos.'</'.$rKeyDatos.'>';
												}
										}
								}
							if($bCloseItem) { $sXml.= "</item>"; }
							$sXml.= "</response>";
							return $sXml;
						} else {
							return false;
						}
				}
			
			
			public function getSubBlocks($rDatos,$aOrigen,$aDestino)
				{
					foreach($rDatos as $key => $value)
						{
							if (is_array($value))
								{
									$sKeyValue = (!$_GET["remove_items_keys"]) ? $key : "";
									$sXml.= "<".(is_string($key) ? $key : 'subitem'.$sKeyValue).">";
									$sXml.=	self::getSubBlocks($value,$aOrigen,$aDestino);
									$sXml.= "</".(is_string($key) ? $key : 'subitem'.$sKeyValue).">";
								} else {
									if (is_string($key))
										{
											if(utf8_encode($value))
												{
													$sXml.= '<'.$key.'>'.$value.'</'.$key.'>';
												}
										}
								}
						}
					return $sXml;
				}
			
			
	}	
?>
