<?php
Class tRSS
{
    
    static private $TControl=NULL;
    private $aChannel = NULL;
    private $aItems = NULL;
 
    public function __construct(TControl $TControl)
    {
       self::$TControl = $TControl;
    }

/*    public function start($title=NULL,$link=NULL,$description=NULL,$pubDate=NULL,$lastBuildDate=NULL,$otherElements=array()) 
    {
        // necessary elements
        $this->aChannel["title"] = $title ? $this->escape($title) : "";
        $this->aChannel["link"] = $link ? $this->escape($link) : "";
        $this->aChannel["description"] = $description ? $this->escape($description) : "";
        // special treatment for date
        $this->aChannel["pubDate"] = $pubDate ? date(DATE_RSS,$pubDate) : date(DATE_RSS);
        $this->aChannel["lastBuildDate"] = $lastBuildDate ? date(DATE_RSS,$lastBuildDate) : date(DATE_RSS);
        
        // other elements
        foreach ($otherElements as $tag => $value) 
        {
          $this->_chennel[$tag] = $value;
        }
    }
*/      

    public function start() 
    {
        $this->aChannel=[];
        $this->aItems=[];
    }

    public function set($tag,$value) 
    {
        $this->aChannel[$tag] = $value;
    }
    
    public function addItem($elements=array("title"=>"no title")) 
    { // specification demands at least a title/desc is present
        $this->aItems[] = $elements;
    }

    public function generate() 
    {
        $rss = <<<EOT
    <?xml version="1.0" encoding="utf-8"?>
    <rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
      <channel>
    EOT;
        foreach ($this->aChannel as $tag => $val) {

            if($tag=="image") {
                $rss .= "    <".$tag.">";
                foreach ($val as $tagImage => $valImage) {
                    $rss .= "    <".$tagImage.">";
                    $rss .= $valImage;
                    $rss .= "</".$tagImage.">";
                    $rss .= PHP_EOL;
                }
                $rss .= "</".$tag.">";
                $rss .= PHP_EOL;
            } else {
                $rss .= "    <".$tag.">";
                $rss .= $val;
                $rss .= "</".$tag.">";
                $rss .= PHP_EOL;
            }
        }
        foreach ($this->aItems as $item) 
        {
            $rss .= "    <item>".PHP_EOL;
            foreach ($item as $tag => $val) 
            {
                if($tag=="guid") 
                {
                    $rss .= '      <'.$tag.' isPermaLink="false">';
                } else {
                    $rss .= "      <".$tag.">";
                }
                $rss .= $val;
                $rss .= "</".$tag.">".PHP_EOL;
            }
            $rss .= "    </item>".PHP_EOL;
        }
        $rss .= <<<EOT
      </channel>
    </rss>
    EOT;
    
    return $rss;
    }
      
    public function publish() 
    {
        ob_clean();
        header("Content-Type: text/xml; charset=utf-8"); 
        echo $this->generate();
    }
    
    private function escape($str) 
    {
        return str_replace(
          array("\"","'","<",">","&"),
          array("&quot;","&apos;","&lt;","&gt;","&amp;"),
          $str
        );
    }
}
?>