<?php
Class tWords
{
    
    static private $TControl=NULL;

    public function __construct(TControl $TControl)
    {
        self::$TControl = $TControl;
    }
    public function sinonimos($word)
    {    
        $apikey = "3PXcrIrxb2BIfmJ0oc5G"; // NOTE: replace test_only with your own key 
        $word = "paz"; // any word 
        $language = "es_ES"; // you can use: en_US, es_ES, de_DE, fr_FR, it_IT 
        $endpoint = "http://thesaurus.altervista.org/thesaurus/v1";
    
        $ch = curl_init(); 
        curl_setopt($ch, CURLOPT_URL, "$endpoint?word=".urlencode($word)."&language=$language&key=$apikey&output=json"); 
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
        $data = curl_exec($ch); 
        $info = curl_getinfo($ch); 
        curl_close($ch);
        if ($info['http_code'] == 200) 
        { 
            $result = json_decode($data, true); 
            echo "Number of lists: ".count($result["response"])."<br>"; 
            foreach ($result["response"] as $value) { 
                echo $value["list"]["category"]." ".$value["list"]["synonyms"]."<br>"; 
            } 
        } else { 
            echo "Http Error: ".$info['http_code']; 
        }
    
    }

    public function extractKeywords($titulo,$copete,$cuerpo)
    {
        $wordCountArr = array();

        $wordCountArr=$this->recorrer($wordCountArr,$cuerpo,1);
        //arsort($wordCountArr);
        //$wordCountArr = array_slice($wordCountArr, 0, 10);
        $wordCountArr=$this->recorrer($wordCountArr,$titulo,10);
        $wordCountArr=$this->recorrer($wordCountArr,$copete,5);
        arsort($wordCountArr);
        $wordCountArr = array_slice($wordCountArr, 0, 3);
        $sResult="";
        foreach ($wordCountArr as $key => $value) {
            $sResult.=$key.",";
        }
        return substr($sResult,0,-1);
        //return $wordCountArr;
    }
    
    private function recorrer($wordCountArr,$string,$sumar)
    {
        $stopWords = array('a','e','i','o','u','y','sobre','me','que','han','el','desde','su','por','era','en','bajo','la','un','uno','unos','una','unas','yo','tu','nosotros','usted','ustedes','ellos','ellas','todos','todas','contra','ante','con','hacia','hasta','segun','comento','comentaron','dijo','dijeron','pronuncio','pronunció','pronunciaron', 'es', 'so', 'entre', 'gran', 'luego', 'despues', 'antes', 'mientras', 'hoy', 'durante', 'mañana', 'ayer', 'mes', 'expresó', 'expreso', 'expresaron', 'este', 'esta', 'estos', 'ese', 'esa', 'esos', 'aquel', 'aquellos', 'aquello', 'aquellos', 'aquellas', 'anterior', 'posterior', 'como', 'tras', 'para', 'otro', 'otros', 'otras', 'alguno', 'algunos', 'alguna', 'algunas', 'alguien', 'quien', 'quienes', 'ser', 'será', 'seremos', 'seria', 'seran', 'eran', 'bien', 'buen', 'bueno', 'estoy', 'estamos', 'estaremos', 'estaria', 'pero', 'paran', 'tiene', 'tienen', 'cosas','del','los','las','deben','nueva','nuevo','nuevos','sus','suyo','suya','suyos','suyas');
        $bestWords = array('piaggio','martin','bordet','macri','cristina','mauricio','kirchner','cfk','boca','river','juventud','argentina','afa','messi','sampaoli','farfan','irigoyen','boudou','devido','frigerio','melchiori','etchevere','cge','ccg','cgt','gualeguaychu','parana');
        $string = strip_tags($string);
        $string = preg_replace('/\s\s+/i', '', $string); // replace whitespace
        $string = trim($string); // trim the string
        $string = $this->sanear_string($string);
        //$string = preg_replace('/[^a-zA-Z0-9 -]/', '', $string); // only take alphanumerical characters, but keep the spaces and dashes too…
        //$string = preg_replace('/[^a-zA-ZñÑáÁéÉíÍóÓúÚ0-9 -]/', '', $string);

        $string = strtolower($string); // make it lowercase

        preg_match_all('/\b.*?\b/i', $string, $matchWords);
        $matchWords = $matchWords[0];

        foreach ( $matchWords as $key=>$item ) {
          if ( $item == '' || in_array(strtolower($item), $stopWords) || strlen($item) <= 2 ) {
              unset($matchWords[$key]);
          }
        }   
        
        if ( is_array($matchWords) ) 
        {
            foreach ( $matchWords as $key => $val ) 
            {
                $val = rtrim(ltrim(strtolower($val)));
                if($val!=='&nbsp;')
                {
                    if(!isset($wordCountArr[$val])) 
                    {
                        $wordCountArr[$val]=0;
                    }

                    if(in_array(strtolower($val), $bestWords)) 
                    {
                        $wordCountArr[$val]=$wordCountArr[$val]+($sumar*2);
                    } else {
                        $wordCountArr[$val]=$wordCountArr[$val]+$sumar;
                    }
                }                
            } 
          
        }
        return $wordCountArr;
    }
    
    public function sanear_string($string,$limpiar=true)
    {
     
        $string = trim($string);
     
        $string = str_replace(
            array('á', 'à', 'ä', 'â', 'ª', 'Á', 'À', 'Â', 'Ä'),
            array('a', 'a', 'a', 'a', 'a', 'A', 'A', 'A', 'A'),
            $string
        );
     
        $string = str_replace(
            array('é', 'è', 'ë', 'ê', 'É', 'È', 'Ê', 'Ë'),
            array('e', 'e', 'e', 'e', 'E', 'E', 'E', 'E'),
            $string
        );
     
        $string = str_replace(
            array('í', 'ì', 'ï', 'î', 'Í', 'Ì', 'Ï', 'Î'),
            array('i', 'i', 'i', 'i', 'I', 'I', 'I', 'I'),
            $string
        );
     
        $string = str_replace(
            array('ó', 'ò', 'ö', 'ô', 'Ó', 'Ò', 'Ö', 'Ô'),
            array('o', 'o', 'o', 'o', 'O', 'O', 'O', 'O'),
            $string
        );
     
        $string = str_replace(
            array('ú', 'ù', 'ü', 'û', 'Ú', 'Ù', 'Û', 'Ü'),
            array('u', 'u', 'u', 'u', 'U', 'U', 'U', 'U'),
            $string
        );
     
        $string = str_replace(
            array('ñ', 'Ñ', 'ç', 'Ç'),
            array('n', 'N', 'c', 'C',),
            $string
        );
     
        if($limpiar) 
        {

            //Esta parte se encarga de eliminar cualquier caracter extraño
            $string = str_replace(array("¨", "º", "-", "~", '#', '@', "|", "!", '"', '“', '”', "`","·", "$", "%", "&", "/","(", ")", "?", "'", "¡","¿", "[", "^", "<code>", "]","+", "}", "{", "¨", "´",">", "< ", ";", ",", ":",".","&nbsp;"),'',$string);
        }

     
     
        return $string;
    }

    public function decodeTitle($string,$comillasDevueltas='“')
    {
         $fix_list = array(
            // 3 char errors first
            'â€š' => '‚', 'â€ž' => '„', 'â€¦' => '…', 'â€¡' => '‡',
            'â€°' => '‰', 'â€¹' => '‹', 'â€˜' => '‘', 'â€™' => '’',
            'â€œ' => '“', 'â€¢' => '•', 'â€“' => '–', 'â€”' => '—',
            'â„¢' => '™', 'â€º' => '›', 'â‚¬' => '€',
            // 2 char errors
            'Ã‚'  => 'Â', 'Æ’'  => 'ƒ', 'Ãƒ'  => 'Ã', 'Ã„'  => 'Ä',
            'Ã…'  => 'Å', 'â€'  => '†', 'Ã†'  => 'Æ', 'Ã‡'  => 'Ç',
            'Ë†'  => 'ˆ', 'Ãˆ'  => 'È', 'Ã‰'  => 'É', 'ÃŠ'  => 'Ê',
            'Ã‹'  => 'Ë', 'Å’'  => 'Œ', 'ÃŒ'  => 'Ì', 'Å½'  => 'Ž',
            'ÃŽ'  => 'Î', 'Ã‘'  => 'Ñ', 'Ã’'  => 'Ò', 'Ã“'  => 'Ó',
            'â€'  => '”', 'Ã”'  => 'Ô', 'Ã•'  => 'Õ', 'Ã–'  => 'Ö',
            'Ã—'  => '×', 'Ëœ'  => '˜', 'Ã˜'  => 'Ø', 'Ã™'  => 'Ù',
            'Å¡'  => 'š', 'Ãš'  => 'Ú', 'Ã›'  => 'Û', 'Å“'  => 'œ',
            'Ãœ'  => 'Ü', 'Å¾'  => 'ž', 'Ãž'  => 'Þ', 'Å¸'  => 'Ÿ',
            'ÃŸ'  => 'ß', 'Â¡'  => '¡', 'Ã¡'  => 'á', 'Â¢'  => '¢',
            'Ã¢'  => 'â', 'Â£'  => '£', 'Ã£'  => 'ã', 'Â¤'  => '¤',
            'Ã¤'  => 'ä', 'Â¥'  => '¥', 'Ã¥'  => 'å', 'Â¦'  => '¦',
            'Ã¦'  => 'æ', 'Â§'  => '§', 'Ã§'  => 'ç', 'Â¨'  => '¨',
            'Ã¨'  => 'è', 'Â©'  => '©', 'Ã©'  => 'é', 'Âª'  => 'ª',
            'Ãª'  => 'ê', 'Â«'  => '«', 'Ã«'  => 'ë', 'Â¬'  => '¬',
            'Ã¬'  => 'ì', 'Â®'  => '®', 'Ã®'  => 'î', 'Â¯'  => '¯',
            'Ã¯'  => 'ï', 'Â°'  => '°', 'Ã°'  => 'ð', 'Â±'  => '±',
            'Ã±'  => 'ñ', 'Â²'  => '²', 'Ã²'  => 'ò', 'Â³'  => '³',
            'Ã³'  => 'ó', 'Â´'  => '´', 'Ã´'  => 'ô', 'Âµ'  => 'µ',
            'Ãµ'  => 'õ', 'Â¶'  => '¶', 'Ã¶'  => 'ö', 'Â·'  => '·',
            'Ã·'  => '÷', 'Â¸'  => '¸', 'Ã¸'  => 'ø', 'Â¹'  => '¹',
            'Ã¹'  => 'ù', 'Âº'  => 'º', 'Ãº'  => 'ú', 'Â»'  => '»',
            'Ã»'  => 'û', 'Â¼'  => '¼', 'Ã¼'  => 'ü', 'Â½'  => '½',
            'Ã½'  => 'ý', 'Â¾'  => '¾', 'Ã¾'  => 'þ', 'Â¿'  => '¿',
            'Ã¿'  => 'ÿ', 'Ã€'  => 'À',
            // 1 char errors last
            'Ã­' => 'í'
        );
    
        $error_chars = array_keys($fix_list);
        $real_chars  = array_values($fix_list);     
        $string=str_replace($error_chars, $real_chars, $string);



        /*$string = str_replace("�??","“",$string);
        $string = str_replace("�?�","“",$string);
        $string = str_replace("â€œ","“",$string);
        $string = str_replace("â€","“",$string);
        $string = str_replace('â€¦','...',$string);
        $string = str_replace('â€“','–',$string);
        $string = str_replace(
            array('Ã¡', 'Ã©', 'Ã³', 'Ãº', 'Ã±', 'Ã','Âª','Â°','Ãš'),
            array('á', 'é', 'ó', 'ú', 'ñ', 'í','ª','º','Ú'),
            $string
        );*/

        //$string = html_entity_decode($string);
        $string = htmlspecialchars_decode($string);
        
        $string = str_replace('"',$comillasDevueltas,$string);
        $string = str_replace("'",$comillasDevueltas,$string);
        $string = str_replace("‘",$comillasDevueltas,$string);
        $string = str_replace("’",$comillasDevueltas,$string);
        $string = str_replace("”",$comillasDevueltas,$string);
        $string = str_replace("“",$comillasDevueltas,$string);
        $string = str_replace("`",$comillasDevueltas,$string);
        $string = str_replace("´",$comillasDevueltas,$string);
        $string = str_replace("&ldquo;",$comillasDevueltas,$string);
        $string = str_replace("&rdquo;",$comillasDevueltas,$string);
        
        $string = str_replace(
            array('&aacute;', '&eacute;', '&iacute;', '&oacute;', '&uacute;', '&ntilde;'),
            array('á', 'é', 'í', 'ó', 'ú', 'ñ'),
            $string
        );

        $string = str_replace(
            array('&amp;aacute;', '&amp;eacute;', '&amp;iacute;', '&amp;oacute;', '&amp;uacute;', '&amp;ntilde;'),
            array('á', 'é', 'í', 'ó', 'ú', 'ñ'),
            $string
        );
     
        $string = str_replace(
            array('&Aacute;', '&Eacute;', '&Iacute;', '&Oacute;', '&Uacute;', '&Ntilde;'),
            array('Á', 'É', 'Í', 'Ó', 'Ú', 'Ñ'),
            $string
        );
        //$string = utf8_encode($string);
        return $string;
    }

    public function encodeTitle($string)
    {
         $fix_list = array(
            'â€š' => '‚', 'â€ž' => '„', 'â€¦' => '…', 'â€¡' => '‡',
            'â€°' => '‰', 'â€¹' => '‹', 'â€˜' => '‘', 'â€™' => '’',
            'â€œ' => '“', 'â€¢' => '•', 'â€“' => '–', 'â€”' => '—',
            'â„¢' => '™', 'â€º' => '›', 'â‚¬' => '€',
            'Ã‚'  => 'Â', 'Æ’'  => 'ƒ', 'Ãƒ'  => 'Ã', 'Ã„'  => 'Ä',
            'Ã…'  => 'Å', 'â€'  => '†', 'Ã†'  => 'Æ', 'Ã‡'  => 'Ç',
            'Ë†'  => 'ˆ', 'Ãˆ'  => 'È', 'Ã‰'  => 'É', 'ÃŠ'  => 'Ê',
            'Ã‹'  => 'Ë', 'Å’'  => 'Œ', 'ÃŒ'  => 'Ì', 'Å½'  => 'Ž',
            'ÃŽ'  => 'Î', 'Ã‘'  => 'Ñ', 'Ã’'  => 'Ò', 'Ã“'  => 'Ó',
            'â€'  => '”', 'Ã”'  => 'Ô', 'Ã•'  => 'Õ', 'Ã–'  => 'Ö',
            'Ã—'  => '×', 'Ëœ'  => '˜', 'Ã˜'  => 'Ø', 'Ã™'  => 'Ù',
            'Å¡'  => 'š', 'Ãš'  => 'Ú', 'Ã›'  => 'Û', 'Å“'  => 'œ',
            'Ãœ'  => 'Ü', 'Å¾'  => 'ž', 'Ãž'  => 'Þ', 'Å¸'  => 'Ÿ',
            'ÃŸ'  => 'ß', 'Â¡'  => '¡', 'Ã¡'  => 'á', 'Â¢'  => '¢',
            'Ã¢'  => 'â', 'Â£'  => '£', 'Ã£'  => 'ã', 'Â¤'  => '¤',
            'Ã¤'  => 'ä', 'Â¥'  => '¥', 'Ã¥'  => 'å', 'Â¦'  => '¦',
            'Ã¦'  => 'æ', 'Â§'  => '§', 'Ã§'  => 'ç', 'Â¨'  => '¨',
            'Ã¨'  => 'è', 'Â©'  => '©', 'Ã©'  => 'é', 'Âª'  => 'ª',
            'Ãª'  => 'ê', 'Â«'  => '«', 'Ã«'  => 'ë', 'Â¬'  => '¬',
            'Ã¬'  => 'ì', 'Â®'  => '®', 'Ã®'  => 'î', 'Â¯'  => '¯',
            'Ã¯'  => 'ï', 'Â°'  => '°', 'Ã°'  => 'ð', 'Â±'  => '±',
            'Ã±'  => 'ñ', 'Â²'  => '²', 'Ã²'  => 'ò', 'Â³'  => '³',
            'Ã³'  => 'ó', 'Â´'  => '´', 'Ã´'  => 'ô', 'Âµ'  => 'µ',
            'Ãµ'  => 'õ', 'Â¶'  => '¶', 'Ã¶'  => 'ö', 'Â·'  => '·',
            'Ã·'  => '÷', 'Â¸'  => '¸', 'Ã¸'  => 'ø', 'Â¹'  => '¹',
            'Ã¹'  => 'ù', 'Âº'  => 'º', 'Ãº'  => 'ú', 'Â»'  => '»',
            'Ã»'  => 'û', 'Â¼'  => '¼', 'Ã¼'  => 'ü', 'Â½'  => '½',
            'Ã½'  => 'ý', 'Â¾'  => '¾', 'Ã¾'  => 'þ', 'Â¿'  => '¿',
            'Ã¿'  => 'ÿ', 'Ã€'  => 'À',
            'Ã­' => 'í'
        );
    
        $error_chars = array_keys($fix_list);
        $real_chars  = array_values($fix_list);     
        $string=str_replace($real_chars, $error_chars, $string);

        return $string;
    }


    public function autoParagraph($text)
    {
       /* if (trim($text) !== '') {
            $text = preg_replace('|<br[^>]*>\s*<br[^>]*>|i', "\n\n", $text . "\n");
            $text = preg_replace("/\n\n+/", "\n\n", str_replace(["\r\n", "\r"], "\n", $text));
            $texts = preg_split('/\n\s*\n/', $text, -1, PREG_SPLIT_NO_EMPTY);
            $text = '';
            foreach ($texts as $txt) {
                $text .= '<p>' . nl2br(trim($txt, "\n")) . "</p>\n";
            }
            $text = preg_replace('|<p>\s*</p>|', '', $text);
        }
*/
        $out = '<p>';
        //$out1 = str_replace("\n\r" , '</p><p>', $text);
        $out .= str_replace("." , '.</p><p>', $text);
        $out .= '</p>';

        return $out;
    }
}
?>

