<?php
Class TControllerAccess
{
	static private $TControl=NULL;
	
	public function __construct(TControl $TControl)
	{
      self::$TControl = $TControl;
	}

	static public function startController($aParam=false)
	{
      if(!self::$TControl->TLoggedon->isLogin())
      {
         if(isset($_POST["userEmail"]) && isset($_POST["userPassword"]))
         {
            $message=(self::$TControl->TLoggedon->loginUser($_POST) ? false:"Uno de los datos es incorrectos");
            
            // Si hay mensaje es porque no se logueo y vuelvo a cargar la url de login.
            if($message)
            {
               $url=_TB_HOSTADMIN."login/".(($message=="") ? "" : "?message=".$message);
               header("Location: ".$url );
            }

         } else {
            header("Location: "._TB_HOSTADMIN."login/" );
         }
      }
	}
	static public function login()
	{
		self::$TControl->TView->openView("adminhead");
		self::$TControl->TView->Execute("adminhead",array("minisidebar"=>true));
		self::$TControl->TView->openView("adminlogin");
		self::$TControl->TView->Execute("login");
	}	



	/**
	 *
	 * Logout cierra la sessión
	 *
	 */
	static public function logout()
   {
		// Pregunto antes de cerrar sessión
		$isRootAdmin=self::$TControl->TLoggedon->isRootAdmin();
		// Cierro Session
		self::$TControl->TLoggedon->logout();
		
		if($isRootAdmin) 
		{
			header("Location: "._TB_HOST );
		} else {
			self::startController();
		}
   }

	static public function autologinCompany($aParam=false) 
	{
	
		if(self::$TControl->TLoggedon->isLogin() && (self::$TControl->TLoggedon->isRoot() || self::$TControl->TLoggedon->isRootAdmin() || self::$TControl->TLoggedon->isSuperAdmin() || self::$TControl->TLoggedon->isCompany())) {
         self::$TControl->TLoggedon->idsite=0; 
			if(isset($aParam[0])) {
				if(isset($aParam[1])) {
               $aData=[];
               $aData["idsite"]=$aParam[0];
               $aData["md5SiteId"]=$aParam[1];
               
               // Llamamos a LoginUser por convencion pero el user se mantiene y se loguea el site
               self::$TControl->TLoggedon->loginUser($aData);
					header("Location: "._TB_HOSTADMIN);
				} else {
               //self::$TControl->TLoggedon->loginUser(array("iduser"=>$aParam[0]),"rootadmin");
               header("Location: "._TB_HOSTADMIN);
				}
			}
			self::$TControl->TView->openView("adminhead");
			self::$TControl->TView->Execute("adminhead",array("minisidebar"=>true));
			self::$TControl->TView->openView("adminleft");
			self::$TControl->TView->Execute("adminleft","panel");
			
			self::$TControl->TView->openView("adminnav");
			self::$TControl->TView->Execute("adminnav","autologin");
			
         $aData=self::$TControl->TSites->get("idcompany='".self::$TControl->TLoggedon->idcompany."'");
         // Cambiar aca

			self::$TControl->TView->openView("access/autologin");
			self::$TControl->TView->Execute("autologinCompany",$aData);
			self::$TControl->TView->openView("adminfooter");
			self::$TControl->TView->Execute("adminfooter");
		} else {
			self::startController(); return false;			
		}
	}

   static public function autologin($aParam=false) 
	{
	
		if(self::$TControl->TLoggedon->isLogin() && (self::$TControl->TLoggedon->isRoot() || self::$TControl->TLoggedon->isRootAdmin() )) { 
			if(isset($aParam[0])) {
				if(isset($aParam[1])) {
               $aData=[];
               $aData["md5UserId"]=$aParam[0];
               $aData["siteId"]=$aParam[1];
					self::$TControl->TLoggedon->idsite=0;
               self::$TControl->TLoggedon->loginUser($aData);
					header("Location: "._TB_HOSTADMIN);
				} else {
               //self::$TControl->TLoggedon->loginUser(array("iduser"=>$aParam[0]),"rootadmin");
               header("Location: "._TB_HOSTADMIN);
				}
			}
			self::$TControl->TView->openView("adminhead");
			self::$TControl->TView->Execute("adminhead",array("minisidebar"=>true));
			self::$TControl->TView->openView("adminleft");
			self::$TControl->TView->Execute("adminleft","panel");
			
			self::$TControl->TView->openView("adminnav");
			self::$TControl->TView->Execute("adminnav","autologin");
			
			$aData=self::$TControl->TUsers->getUsersBySites();

			self::$TControl->TView->openView("access/autologin");
			self::$TControl->TView->Execute("autologin",$aData);
			self::$TControl->TView->openView("adminfooter");
			self::$TControl->TView->Execute("adminfooter");
		} else {
			self::startController(); return false;			
		}
	}

}
?>