<?php function adminleft($TControl,$menuitem="/",$submenuitem="") { ?>
<div class="sidebar" data-active-color="blue" data-background-color="white" >
    <div class="logo">
        <a href="<?=_TB_HOSTADMIN?>" class="simple-text">
            <img src="<?=_TB_HOSTMATERIAL?>img/logo155x37.png" />
        </a>
    </div>
    <div class="logo logo-mini">
        <a href="<?=_TB_HOSTADMIN?>" class="simple-text">
            <img src="<?=_TB_HOSTMATERIAL?>img/logo32x32.png" />
        </a>
    </div>
    <div class="sidebar-wrapper">
        <ul class="nav">
                <?php if($TControl->TLoggedon->isRoot() || $TControl->TLoggedon->isAdmin() || $TControl->TLoggedon->isDeveloper()) { ?>
                    <li class="<?=($menuitem=='settings')?"active":""?>" title="<?=$TControl->TInfo->get("settings")["title_menu"]?>">
                        <a data-toggle="collapse" href="#settings">
                            <i class="material-icons"><?=$TControl->TInfo->get("settings")["icon"]?></i>
                            <p class="level1"><?=$TControl->TInfo->get("settings")["title_menu"]?></p>
                        </a>
                        <div class="collapse <?=($menuitem=='areas' || $menuitem=='users' || $menuitem=='places')?"in":""?>" id="settings">
                            <ul class="nav">
                                <li class="<?=($menuitem=='users')?"active":""?>" title="<?=$TControl->TInfo->get("users")["title_menu"]?>">
                                    <a href="<?=_TB_HOSTADMIN?>listar/users/">
                                        <i class="material-icons"><?=$TControl->TInfo->get("users")["icon"]?></i>
                                        <p><?=$TControl->TInfo->get("users")["title_menu"]?></p>
                                    </a>
                                </li>
                                <li class="<?=($menuitem=='areas')?"active":""?>" title="<?=$TControl->TInfo->get("areas")["title_menu"]?>">
                                    <a href="<?=_TB_HOSTADMIN?>listar/areas/">
                                        <i class="material-icons"><?=$TControl->TInfo->get("areas")["icon"]?></i>
                                        <p><?=$TControl->TInfo->get("areas")["title_menu"]?></p>
                                    </a>
                                </li>
                                <li class="<?=($menuitem=='places')?"active":""?>" title="<?=$TControl->TInfo->get("places")["title_menu"]?>">
                                    <a href="<?=_TB_HOSTADMIN?>listar/places/">
                                        <i class="material-icons"><?=$TControl->TInfo->get("places")["icon"]?></i>
                                        <p><?=$TControl->TInfo->get("places")["title_menu"]?></p>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>

                    <li class="<?=($menuitem=='trends' || $menuitem=='webbackgrounds' || $menuitem=='webmessages')?"active":""?>" title="<?=$TControl->TInfo->get("web")["title_menu"]?>">
                        <a data-toggle="collapse" href="#web">
                            <i class="material-icons"><?=$TControl->TInfo->get("web")["icon"]?></i>
                            <p class="level1"><?=$TControl->TInfo->get("web")["title_menu"]?></p>
                        </a>
                        <div class="collapse <?=($menuitem=='trends' || $menuitem=='webbackgrounds' || $menuitem=='webmessages'  || $menuitem=='webpages')?"in":""?>" id="web">
                            <ul class="nav">
                                <li class="<?=($menuitem=='trends')?"active":""?>" title="<?=$TControl->TInfo->get("trends")["title_menu"]?>">
                                    <a href="<?=_TB_HOSTADMIN?>listar/trends/">
                                        <i class="material-icons"><?=$TControl->TInfo->get("trends")["icon"]?></i>
                                        <p><?=$TControl->TInfo->get("trends")["title_menu"]?></p>
                                    </a>
                                </li>
                                <li class="<?=($menuitem=='webbackgrounds')?"active":""?>" title="<?=$TControl->TInfo->get("webbackgrounds")["title_menu"]?>">
                                    <a href="<?=_TB_HOSTADMIN?>listar/webbackgrounds/">
                                        <i class="material-icons"><?=$TControl->TInfo->get("webbackgrounds")["icon"]?></i>
                                        <p><?=$TControl->TInfo->get("webbackgrounds")["title_menu"]?></p>
                                    </a>
                                </li>
                                <li class="<?=($menuitem=='webmessages')?"active":""?>" title="<?=$TControl->TInfo->get("webmessages")["title_menu"]?>">
                                    <a href="<?=_TB_HOSTADMIN?>listar/webmessages/">
                                        <i class="material-icons"><?=$TControl->TInfo->get("webmessages")["icon"]?></i>
                                        <p><?=$TControl->TInfo->get("webmessages")["title_menu"]?></p>
                                    </a>
                                </li>
                                <li class="<?=($menuitem=='webpages')?"active":""?>" title="<?=$TControl->TInfo->get("webpages")["title_menu"]?>">
                                    <a href="<?=_TB_HOSTADMIN?>listar/webpages/">
                                        <i class="material-icons"><?=$TControl->TInfo->get("webpages")["icon"]?></i>
                                        <p><?=$TControl->TInfo->get("webpages")["title_menu"]?></p>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>


                <?php } ?>
                <li class="<?=($menuitem=='events')?"active":""?>" title="<?=$TControl->TInfo->get("events")["title_menu"]?>">
                    <a href="<?=_TB_HOSTADMIN?>listar/events/">
                        <i class="material-icons"><?=$TControl->TInfo->get("events")["icon"]?></i>
                        <p class="level1"><?=$TControl->TInfo->get("events")["title_menu"]?></p>
                    </a>
                </li>
                <li class="<?=($menuitem=='posts')?"active":""?>" title="<?=$TControl->TInfo->get("posts")["title_menu"]?>">
                    <a href="<?=_TB_HOSTADMIN?>listar/posts/">
                        <i class="material-icons"><?=$TControl->TInfo->get("posts")["icon"]?></i>
                        <p class="level1"><?=$TControl->TInfo->get("posts")["title_menu"]?></p>
                    </a>
                </li>
                <li class="<?=($menuitem=='webmail')?"active":""?>" title="<?=$TControl->TInfo->get("webmail")["title_menu"]?>">
                    <a href="<?=_TB_HOSTADMIN?>webmail/">
                        <i class="material-icons"><?=$TControl->TInfo->get("webmail")["icon"]?></i>
                        <p class="level1"><?=$TControl->TInfo->get("webmail")["title_menu"]?></p>
                    </a>
                </li>

        </ul>
    </div>
</div>

<?php } ?>