<?php function login($TControl,$message='',$aScripts=false) { ?>

<div class="content" >
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-sm-6 col-md-offset-3 col-sm-offset-3">
                <br />
                <h2 class="description text-center"><?=_TB_WEBTITLE?></h2>
                <div class="card card-login">
                    <div class="card-content">
                        <h3 class="description text-center">Iniciar sessión</h3>
                        <form method="POST" action="<?=_TB_HOSTADMIN?>">
                            <div class="input-group">
                                <div class="form-group label-floating">
                                    <input name="userIdSite" type="hidden" value="_TB_IDSITE" class="form-control">
                                </div>
                            </div>
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="material-icons">email</i>
                                </span>
                                <div class="form-group label-floating">
                                    <label class="control-label">Correo Electrónico o DNI</label>
                                    <input name="userEmail" type="email" class="form-control">
                                </div>
                            </div>
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="material-icons">lock_outline</i>
                                </span>
                                <div class="form-group label-floating">
                                    <label class="control-label">Password</label>
                                    <input name="userPassword" type="password" class="form-control">
                                </div>
                            </div>
                            <div class="footer text-center">
                                <button type="submit" class="btn btn-rose btn-square">Continuar</button>
                            </div>
                        </form>
                    </div>
                    <p class="category text-center">
                        <?=$message?>
                    </p>
                </div>
            </div>
        </div>
        <br>
        <div class="row">    
            <div class="col-md-4 col-sm-4 col-md-offset-4 col-sm-offset-4 text-center">
                <a href="<?=_TB_HOSTCEIBOO?>" class="simple-text">
                    <img src="<?=_TB_HOSTMATERIAL?>img/logo310x74.png" />
                </a>
            </div>
            
        </div>
    </div>
</div>
</div> <!-- wrapper (left) -->

<!-- Core JS -->
<script src="<?=_TB_HOSTMATERIAL?>js/jquery-3.1.1.min.js" type="text/javascript"></script>
<script src="<?=_TB_HOSTMATERIAL?>js/jquery-ui.min.js" type="text/javascript"></script>
<script src="<?=_TB_HOSTMATERIAL?>js/bootstrap.min.js" type="text/javascript"></script>
<script src="<?=_TB_HOSTMATERIAL?>js/material.min.js" type="text/javascript"></script>
<script src="<?=_TB_HOSTMATERIAL?>js/perfect-scrollbar.jquery.min.js" type="text/javascript"></script>
<!-- Forms Validations -->
<script src="<?=_TB_HOSTMATERIAL?>js/jasny-bootstrap.min.js"></script>
<script src="<?=_TB_HOSTMATERIAL?>js/jquery.select-bootstrap.js"></script>
<!-- Material Dashboard javascript methods -->
<script src="<?=_TB_HOSTMATERIAL?>js/material-dashboard.js"></script>
<script src="<?=_TB_HOSTMATERIAL?>js/jquery.datatables.js"></script>
<script src="<?=_TB_HOSTMATERIAL?>js/sweetalert2.js"></script>
<!--  Plugin for the Wizard -->
<script src="<?=_TB_HOSTMATERIAL?>js/jquery.bootstrap-wizard.js"></script>

<script src="<?=_TB_HOSTMATERIAL?>js/chartist.min.js"></script>
<script src="<?=_TB_HOSTMATERIAL?>js/chartist-plugin-tooltip.min.js"></script>
<script src="<?=_TB_HOSTMATERIAL?>js/chartist-plugin-threshold.min.js"></script>

<?php if($aScripts!==false) { ?>
    <script src="<?=_TB_HOSTMATERIAL?>js/jquery.validate.min.js"></script>
    <script src="<?=_TB_HOSTMATERIAL?>js/jquery.tagsinput.js"></script>
    <script src="<?=_TB_HOSTMATERIAL?>js/dropify.min.js"></script>
    <script src="<?=_TB_HOSTMATERIAL?>js/jscolor.js"></script>
    <script src="<?=_TB_HOSTMATERIAL?>js/jsoneditor.min.js"></script>
    <link rel="stylesheet" type="text/css" href="<?=_TB_HOSTMATERIAL?>css/jsoneditor.min.css" />
    <script src="<?=_TB_HOSTMATERIAL?>js/codemirror/codemirror.js"></script>
    <script src="<?=_TB_HOSTMATERIAL?>js/codemirror/css/css.js"></script>
    <link rel="stylesheet" type="text/css" href="<?=_TB_HOSTMATERIAL?>js/codemirror/codemirror.css" />

    <?php if(in_array("editor",$aScripts)) { ?>
        <link rel="stylesheet" type="text/css" href="<?=_TB_HOSTMATERIAL?>css/ceiboo-editor.1.0.css" />
        <script src="<?=_TB_HOSTMATERIAL?>js/ceiboo-editor.1.0.js"></script>
        <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
        <script async defer src="//assets.pinterest.com/js/pinit.js"></script>
    <?php } ?>
    <?php if(in_array("managerloadrepo",$aScripts)) { ?>
        <script src="<?=_TB_HOSTMATERIAL?>js/jput.js"></script>
    <?php } ?>

    <script src="<?=_TB_HOSTMATERIAL?>js/ceiboo.js"></script>

    <script type="text/javascript">
        var hostadmin = "<?=_TB_HOSTADMIN?>";
        var hostspider = "<?=_TB_HOSTSERVICES?>";
        var host = "<?=_TB_HOSTADMIN?>";
        <?php if($TControl->TLoggedon->isRoot()) { ?>
            var hostws = "<?=_TB_HOSTWS?>";
        <?php } ?>
        $(document).ready(function() {
            <?php if(count($aScripts)>0) { ?>
                <?php foreach($aScripts as $rScript) { ?>
                    ceiboo.<?=$rScript?>();
                <?php } ?>
            <?php } ?>
        });
    </script>
<?php } ?>
</body>
</html>
<?php } ?>