<?php function formevents($TControl, $bigData=false, $formTop, $formBottom){ ?>
<?php $rData=$bigData["record"]; $aDays=$bigData["days"]; $qty=10; //count($aDays)+1; ?>
<?php $aTrends=$bigData["trends"]; $aAreas=$bigData["areas"];  $aPlaces=$bigData["places"]; ?>

<?=$formTop?>
    <?php if(isset($rData['idevent'])) { ?>
        <input name="idevent" type="hidden" value="<?=$rData['idevent']?>">
    <?php } ?>

    <?php if(isset($rData["published"]) && $rData["published"]!='') { $pub=$rData["published"]; } else { $pub=date("Y-m-d H:i:s"); } ?>            
    <input id="published" name="published" type="hidden" value="<?=$pub?>" />
    <input id="state" name="state" type="hidden" value="on" />
    <input id="iduser" name="iduser" type="hidden" value="<?=$TControl->TLoggedon->iduser?>" />

    <div class="row">
        <div class="col-md-4">
            <div class="form-group label-floating">
                <label class="control-label">Área
                    <star>*</star>
                </label>
                <select id="idarea" class="form-control" name="idarea" required="true" >
                    <option value="0">Selecciona Área</option>
                    <?php foreach ($aAreas as $key => $rArea) { ?>
                        <option value="<?=$key?>" <?=($key==$rData["idarea"])?'selected':''?> ><?=$rArea["title"]?></option>
                    <?php } ?>
                </select>
                
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group label-floating">
                <label class="control-label">Tendencia
                    <star>*</star>
                </label>
                <select id="idtrend" name="idtrend" class="form-control" >
                    <option value="0">Selecciona Tendencia</option>
                    <?php foreach ($aTrends as $key => $rTrends) { ?>
                        <option value="<?=$key?>" <?=($key==$rData["idtrend"])?'selected':''?> ><?=$rTrends["title"]?></option>
                    <?php } ?>
                </select>
                
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group label-floating">
                <label class="control-label">Palabras claves</label>
                <?php if(isset($rData["metakeywords"]) && $rData["metakeywords"]!='') { $pub=$rData["metakeywords"]; } else { $pub="Leo Hassell, Larroque, unida para crecer, entre rios"; } ?>            
                <input id="metakeywords" name="metakeywords" type="text" value="<?=$pub?>" autocomplete="off" />
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <label for="title">Titulo</label>
            <input id="title" name="title" type="text" value="<?=$rData['title']?>" class="form-control" placeholder="Título del Evento">
        </div>      
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="form-group label-floating">
                <label class="control-label">Descripción
                    <star>*</star>
                </label>
                <textarea id="description" class="textAreaEditor" name="description" spellcheck="true" rows="20"><?=$rData['description']?></textarea>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-4">
            <label class="control-label">Imagen</label>
            <?php if(isset($rData["image"]) && $rData["image"]!='') { $img=_TB_HOSTUPLOAD.$rData["image"]; } else { $img=''; } ?>
            <input type="file" id="tmpimage" name="tmpimage" class="dropify" data-disable-remove="true" data-default-file="<?=$img?>" />
        </div>
        <div class="col-sm-8">
            <label class="control-label">Buscar imagenes libres en google</label>
            <input type="text" id="__moreimages" name="__moreimages" value="" placeholder="ej: diego+maradona" />
            <a id="formMoreImages" href="#" class="btn btn-social btn-fill btn-google" >
                <i class="fa fa-google-square"></i> Buscar en Google
            </a>
        </div>
    </div>
    <div id="swtImages" class="row"><br></div>

    <?php for($i=0; $i<$qty; $i++) { ?>
        <div class="row">
            <div class="col-sm-1">
                #<?=$i+1?>
            </div>
            <div class="col-sm-2">
                <label for="title">Fecha y Hora Inicio</label>
                <input type="text" name="startday[]" autocomplete="off"  class="form-control datetimepicker" value="<?=$aDays[$i]['startday']?>">
            </div>
            <div class="col-sm-2">
                <label for="title">Fecha y Hora Fin</label>
                <input type="text" name="endday[]" autocomplete="off"  class="form-control datetimepicker" value="<?=$aDays[$i]['endday']?>">
            </div>
            <div class="col-sm-4">
                <label for="title">Lugar</label>
                <select id="idplace" class="form-control" name="idplace[]" required="true" >
                    <option value="0">Selecciona Lugar</option>
                    <?php foreach($aPlaces as $rPlace) { ?>
                        <option <?=($aDays[$i]["idplace"]==$rPlace['idplace'])?'selected':''?> value="<?=$rPlace['idplace']?>"><?=$rPlace['name']?></option>
                    <?php } ?>
                </select>
            </div>
            <div class="col-sm-3">
                <label for="title">Publicar en Redes</label>
                <select id="iface" class="form-control" name="iface[]" required="true">
                    <option value="not" <?=($aDays[$i]["iface"]=='not')?'selected':''?> >No publicar en Redes</option>
                    <option value="now" <?=($aDays[$i]["iface"]=='now')?'selected':''?> >Publicar en Redes ahora</option>
                    <option value="24" <?=($aDays[$i]["iface"]=='24')?'selected':''?> >Publicar en Redes 24hs antes</option>
                    <option value="48" <?=($aDays[$i]["iface"]=='48')?'selected':''?> >Publicar en Redes 48hs antes</option>
                    <option value="72" <?=($aDays[$i]["iface"]=='72')?'selected':''?> >Publicar en Redes 72hs antes</option>
                    <option value="96" <?=($aDays[$i]["iface"]=='96')?'selected':''?> >Publicar en Redes 96hs antes</option>
                    <option value="120" <?=($aDays[$i]["iface"]=='120')?'selected':''?> >Publicar en Redes 120hs antes</option>
                    <option value="ok" <?=($aDays[$i]["iface"]=='ok')?'selected':''?> >Ya fue publicado Redes</option>
                </select>
            </div>
        </div>
        <hr>
    <?php } ?>        

<?=$formBottom?>
<?php } ?>        
