<?php function managerList($TControl,$bigData,$host=_TB_HOSTADMIN){ ?>
<?php $aData=$bigData["data"]; $TInstance=$bigData["instance"]; $primaryKey=$TInstance->getPrimaryKey(); $table=$bigData["table"]; ?>
<?php $showHeader=(isset($bigData["showHeader"])?$bigData["showHeader"]:true); ?>
<!-- "container-fluid" -->
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <?php if($showHeader) { ?>
                <div class="card-header card-header-icon" data-background-color="blue">
                    <i class="material-icons"><?=$TControl->TInfo->get($table)["icon"]?></i>
                </div>
                <a href="<?=$host?>insertar/<?=$table?>/" class="roundbutton danger">
                    <i class="material-icons">add</i>
                </a>
            <?php } ?>
            <?php if(empty($aData)) { ?> 
                <div class="card-content">
                    <h4 class="card-title"><?=$TControl->TInfo->get($table)["translate"]?></h4>
                    <div class="toolbar">
                        <i class="material-icons">warning</i>
                        <p class="red-text"> No encontramos registros para esta busqueda</p>
                    </div>
                </div>
            <?php } else { ?>
                <div class="card-content">
                    <?php if($showHeader) { ?>
                        <h4 class="card-title"><?=$TControl->TInfo->get($table)["translate"]?></h4>
                    <?php } ?>
                    <div class="material-datatables">
                        <table id="datatables" data-table="<?=$table?>" class="table table-striped table-no-bordered table-hover text-info" cellspacing="0" width="100%" style="width:100%">
                            <thead>
                                <tr>
                                    <?php foreach (explode(",",$TInstance->list) as $key => $value) { ?>
                                            <th><?=$TInstance->listNames[$key]?></th>
                                    <?php } ?>
                                    <th width="100" class="text-right">Editar</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php foreach ($aData as $rData) { ?>
                                    <tr id="<?php echo $rData[$primaryKey]; ?>">
                                        <!--?php foreach ($rData as $key => $data) { ?-->
                                        <?php foreach (explode(",",$TInstance->list) as $k => $key ) { $data=$rData[$key]; ?>
                                            <?php if ($key=="active" || $key=="updated") { ?>
                                                <td width="10">
                                                    <a href="#" class="btn btn-simple btn-icon"><i data-field="<?=$key?>" data-key="<?=$rData[$primaryKey]?>" data-on="check_box" data-off="indeterminate_check_box" class="material-icons data-active <?=($rData[$key]=='on'?'text-success':'text-warning')?>"><?=($rData[$key]=='on'?'':'indeterminate_')?>check_box</i></a>
                                                </td>
                                            <?php } else if ($key=="visible") { ?>
                                                <td width="10">
                                                    <a href="#" class="btn btn-simple btn-icon"><i data-field="<?=$key?>" data-key="<?=$rData[$primaryKey]?>" data-on="phonelink" data-off="phonelink_off" class="material-icons data-active <?=($rData[$key]=='on'?'text-success':'text-warning')?>">phonelink<?=($rData[$key]=='on'?'':'_off')?></i></a>
                                                </td>
                                            <?php } else if ($key=="image") { ?>
                                                <td>
                                                    <img src="<?=_TB_HOSTAPP?><?=$data?>" height="60" width="80" />
                                                </td>
                                            <?php } else { ?>
                                                <td><?=$data?></td>
                                            <?php } ?>	
                                        <?php } ?>	
                                        <td class="text-right">
                                            <a href="<?=$host?>editar/<?=$table?>/<?=$rData[$primaryKey]?>/" class="btn btn-simple btn-info btn-icon edit"><i class="material-icons">create</i></a>
                                            <a href="#" data-key="<?=$rData[$primaryKey]?>" class="btn btn-simple btn-danger btn-icon remove"><i class="material-icons">delete</i></a>
                                        </td>
                                    </tr>
                                <?php } ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <?php } ?>
            <!-- card-content-->
        </div>
        <!--  card  -->
    </div>
    <!-- col-md-12 -->
</div>

<!-- "container-fluid" -->
<?php } ?>
