<?php function page($TControl,$bigData=false) { ?>
    <?php $aMessage=$bigData["message"]; $aNews=$bigData["news"]; ?>
<div class="news-details p80">
    <div class="container">
        <div class="row">
            <div class="col-md-9">
                <div class="news-box">
                    <div class="new-thumb"> 
                        <img src="<?=_TB_HOSTUPLOAD.str_replace("__n__","__b__",$bigData["page"]["image"])?>" alt="<?=$bigData["page"]["title"]?>" title="<?=$bigData["page"]["title"]?>"> 
                    </div>
                    <div class="new-txt">
                        <h3><?=$bigData["page"]["title"]?></h3>
                        <?php if(isset($bigData["page"]["summary"])) { ?>
                            <p class="new-summary"><?=htmlspecialchars_decode($bigData["page"]["summary"])?></p>
                        <?php } ?>
                        <p><?=htmlspecialchars_decode($bigData["page"]["description"])?></p>
                    </div>
                </div>
                <div class="share-post-single"> 
                    <strong>Compartir:</strong> 
                    <a href="services-single.html#" class="fb"> <i class="fab fa-facebook-f"></i></a>
                     <a href="services-single.html#" class="tw"> <i class="fab fa-twitter"></i></a> 
                     <a href="services-single.html#" class="linked"> <i class="fab fa-linkedin-in"></i></a> 
                     <a href="services-single.html#" class="gp"> <i class="fab fa-google-plus-g"></i></a>
                     <a href="services-single.html#" class="insta"> <i class="fab fa-instagram"></i></a>
                     <a href="services-single.html#" class="yt"> <i class="fab fa-youtube"></i></a>
                     <a href="services-single.html#" class="pin"> <i class="fab fa-pinterest-p"></i> </a> 
                </div>
                <!--Department Details Share End--> 
            </div>
            <div class="col-md-3">
                <!--Sidebar Start-->
                <div class="sidebar">
                    <!--Widget Start-->
                    <div class="widget">
                        <div class="about-widget inner">
                            <b><?=$aMessage["title"]?></b>
                            <img src="<?=_TB_HOSTUPLOAD.$aMessage["image"]?>" alt="<?=$aMessage["username"]?>"> 
                            <p><?=$aMessage["summary"]?></p>
                            <h6><?=$aMessage["username"]?></h6>
                        </div>
                    </div>
                    <!--Widget Start-->
                    <div class="widget">
                        <h4>Noticias</h4>
                        <div class="recent-posts inner">
                            <ul>
                                <?php foreach($aNews as $rNews) { ?>
                                    <li>
                                        <img src="<?=_TB_HOSTUPLOAD.$rNews["image"]?>" alt="<?=$rNews["title"]?>" title="<?=$rNews["title"]?>"> 
                                        <strong><?=$TControl->TUtil->formatFechaCorta($rNews["published"])?>&nbsp;&nbsp;|&nbsp;&nbsp;<?=$rNews["trendtitle"]?></strong>
                                        <h6><a href="<?=$TControl->TPosts->formatUrl($rNews["idpost"],$rNews["title"])?>"><?=$rNews["title"]?></a></h6>
                                    </li>
                                <?php } ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php } ?>