<?php
Class tUsers extends tTable
{
    
    static private $TControl=NULL;

    public function __construct(TControl $TControl)
    {
        parent::__construct($TControl);
        self::$TControl = $TControl;
        $this->table="spm_info_users";
        $this->order="iduser";
        $this->list="iduser,name,email,privilege,active";
        $this->listNames=array("ID","Apellidos y Nombres","Correo Electrónico","Privilegios","Activo");
        $this->primaryKey="iduser";
    }

    public function set($aData) 
    {
        $sFileImage=false;
        if(isset($_FILES["tmpimage"]) && !empty($_FILES["tmpimage"]["name"])) {
            self::$TControl->TUpload->setPath("users/");
            self::$TControl->TUpload->setBigSize(array("image_x"=>1200,"image_y"=>628, "image_resize"=>true, "image_ratio_crop"=>true ));
            self::$TControl->TUpload->setNormalSize(array("image_x"=>600,"image_y"=>600, "image_resize"=>true, "image_ratio_crop"=>true ));
            $aData=$this->setFile($aData);
        }
        parent::set($aData);
    }

    public function getDataPack($aParam=false)
    {
        $bigData=parent::getDataPack($aParam);
        $bigData["areas"]=self::$TControl->TAreas->getOrdByID(true);
        return $bigData;
    }

    public function getChiefs()
    {
        $consulta="SELECT u.*, a.formality, a.title as areatitle FROM ".$this->table." as u 
        LEFT JOIN spm_info_areas as a ON u.idarea=a.idarea WHERE u.showchief='Y' ORDER BY a.level, u.iduser DESC";
        $aData=self::$TControl->TDb->getArray($consulta);
        return $aData;
    }

    public function getPhones()
    {
        $consulta="SELECT u.*, a.formality, a.title as areatitle FROM ".$this->table." as u 
        LEFT JOIN spm_info_areas as a ON u.idarea=a.idarea WHERE u.showphone='Y' ORDER BY a.level, u.iduser DESC";
        $aData=self::$TControl->TDb->getArray($consulta);
        return $aData;
    }

}
?>